commit f10f557fd67ec11738670828a553496960c0d411
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-07 16:33:17 +0200

    0.18.2

commit 5776d2f6bf2dce4efc7754793abf9db1dd731c30
Merge: 8eda233 83939c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-05-07 15:42:59 +0100

    Merge remote-tracking branch 'origin/telepathy-gabble-0.18' into telepathy-gabble-0.18

commit 83939c69969a369824bedae9146a80ab22f2dcc2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-07 16:17:28 +0200

    wocky: update
    
    Fix https://bugs.freedesktop.org/show_bug.cgi?id=76465

commit 8eda2330d0353845167018e962157053d039a9c0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-20 09:57:39 +0000

    0.18.2

commit 865a6d69604782326eb5aa3dcc67c744f2b1680c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-19 14:05:35 +0000

    Update Wocky
    
    * data-form: reformat <code> blocks so recent gtk-doc can cope
    * jingle-content: reset idle ID in its callback

commit 226f1eae705a3c05715b4213fbff5b05b995af5e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-06-22 19:16:55 +0100

    plugin-loader: clear GError after g_dir_open fails
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=66085
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 892d6d57b6e8bec11bc7693b5f58cffac158a184
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 16:21:08 +0100

    Use the proper 'Ice' Call capability
    
    Also, use token constants when possible.

commit c2d7b345aa52e3f5d70d4657f0dbab7c3f62042a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-02 15:58:59 +0200

    private-tube-factory: tube ID is a guint64
    
    Fix a crash on 64 bits archs.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70038

commit a1faa740ca8773d731d168f19569d6a7d230df85
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-02 15:39:46 +0200

    conn-presence: fix enum cast warning
    
    Thanks clang...
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70038

commit 527de4d26ef96e2a049781cdecc4e6e1a05622d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-09 13:00:30 +0100

    Add a regression test for #68829
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68829
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 0899652383fa881d275ab6ab578009e898675762
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-06 12:38:19 +0200

    set nano flag

commit 8ca68d3c4dd43d974dfd4d2a0e0d9b55605a4a10
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-06 12:17:18 +0200

    prepare 0.18.1

commit 82a38589b201e71a613567fff2df98d82aaad232
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-06 12:11:05 +0200

    wocky: update to gabble-0.18 HEAD
    
    Needed to fix connection to Facebok (fdo#68829).

commit 8e27c66d058a72583579384f3dd307e798a8ba73
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 17:31:07 +0100

    nano version, release name

commit 1537fdb051a75fc432eb6cb18d42a5f33afb28ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 15:54:45 +0100

    0.18.0

commit 80f731d13c3a6d97f531955f1806a436c545236a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 15:53:15 +0100

    more NEWS

commit 2d22f5d22a5d859998971e6c20ab7b0e8108bcb8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 16:44:56 +0100

    tests/twisted: make the necessary directories to put *.conf in
    
    This fails during parallel distcheck.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 11971e65916a87e240504f0c105a12f151ca797f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 16:44:21 +0100

    Update Wocky again
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=67953

commit b5138f5abc201c6f3140e1bafa0c8f52031339f4
Author: Samuel Thibault <sthibault@debian.org>
Date:   2013-08-09 15:49:24 +0100

    errno is actually a reserved word in C, avoid it
    
    [Commit message added -smcv]
    
    Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714534
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit cb6fa296255213c842ca119ab4b0e1796e8a2c6e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 15:27:42 +0100

    NEWS for 0.18

commit 3a01321d2b2f49fdb2788126513408242d8a114e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-09 15:24:51 +0100

    Update Wocky to a version whose tests pass
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=67875
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=67900
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit a4be3bf914b0a3ab7ecba92e3a199310241f1197
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-06 15:37:18 +0100

    Turn off deprecation warnings, this is a stable branch
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 1a5bfd386fb23b0690fe99722ed46d2eb1608a85
Merge: 6df8c13 42c0c8f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-06 15:29:35 +0100

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS

commit 42c0c8f2b03a8ac9b94f268d41f379f8773c885f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-06 15:28:30 +0100

    NEWS

commit 08ac84725bdc135e199146f180be2ea474b452c9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-06 15:28:24 +0100

    roster/groups: don't rely on an implementation detail
    
    Before telepathy-glib 0.20.3 and 0.21.1, we had this incorrect sequence
    (pseudocode) for each group:
    
    * NewChannels(the group)
    * GroupsChanged([the group], added: [...], removed: [])
    * NewChannels(the group)
    
    In 0.20.3 and 0.20.1, we removed the second emission of NewChannels.
    Unfortunately, that broke this test, which was specifically expecting
    GroupsChanged followed by NewChannels.
    
    Rather than reversing the assumption, I'm doing it properly, by
    expecting the events in no particular order.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=67828
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 6df8c13f5817b3c9f6e7f0592195257a3d857147
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 14:26:19 +0100

    run-test.sh.in: make the indentation make sense
    
    The Python invocation is indented, because it's a command-line argument
    for the sh invocation. The case shouldn't be.
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65290

commit 54d037ab9b532e70a7fa80ad69a18bed58ccb480
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-04-11 19:33:29 +0100

    gabbletest: add hooks for hazetest
    
    I need these so that hazetest can just override what it needs, rather
    than actually modifying the copy of gabbletest.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65658

commit 4b23e0ec83024ebbfcaaeb12cdcd086f7a640b9f
Merge: 4d4fc2f 794a02b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-11 14:49:31 +0100

    Merge branch 'telepathy-gabble-0.16' and update NEWS

commit 794a02b84472ddbbadd6f5f920e2c523f68b27fc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-11 14:46:51 +0100

    NEWS for recent changes

commit fa48076ccef7e5c8c4a08a88c399d0dbbb3ac624
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-11 14:39:42 +0100

    Avoid having two of the same set of commands run in parallel
    
    A rule like this:
    
        _gen/x.c _gen/x.h: prerequisites
            $(AM_V_GEN)x-generator
    
    doesn't consider x.c and x.h together. Instead, it expands to two rules,
    one to generate x.c and one to generate x.h, which happen to run the
    same commands.
    
    This means that in the worst case, you can end up running x-generator
    twice in parallel, and they'll race with each other and overwrite or
    delete each other's output.
    
    Based on commit 36c2a545c from telepathy-glib.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64285
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Conflicts:
    	extensions/Makefile.am

commit 4d4fc2f948dcaaa029c065d5c7e48238eefa3423
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-03 11:14:12 +0100

    Use run-test.sh to run uninstalled tests

commit fcc3900f4e6f6c9a58d95d15af8175b5d04fdaf4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-03 09:14:54 +0100

    Adapt run-test.sh to be able to run the tests uninstalled
    
    When autoreconfiscated with Automake 1.13, the way in which we were
    (ab?)using Automake's test driver no longer works. We can't just
    switch back to the old serial test driver without a dependency on
    at least Automake 1.12, either. However, run-test.sh (which was already
    used for installed tests) is quite capable of running uninstalled
    tests, with a bit of adjustment:
    
    * if GABBLE_TEST_UNINSTALLED is set, expect GABBLE_ABS_TOP_SRCDIR,
      GABBLE_ABS_TOP_BUILDDIR and optionally GABBLE_TEST_SLEEP in the
      environment
    * look for installed or uninstalled files, as appropriate
    * use TEST_PYTHON (which might differ from PYTHON)
    * use python -u (unbuffered stdout) for better debugging
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65290
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 2a54c7cd0c55d636f33666f4a6ac626e3c6f0f55
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 13:57:57 +0100

    .gitignore: automake 1.13 installs test-driver
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65290
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 7931b9960bc4d357ff04e7381c9d91e161be969d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 12:41:12 +0100

    Remove obsolete GLib < 2.32 code paths
    
    We now depend on 2.32.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65290
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 2a8a6a50be5241627108a23f1dd1ba8d12693f8b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 14:02:19 +0100

    Officially depend on GLib 2.32
    
    In practice we depend on it anyway, via telepathy-glib 0.19.9.
    Also update the telepathy-glib dependency in the .pc files to match
    configure.ac.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65290
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit bae4f7493376cccb2cd629e56b4e4cc0624720b6
Merge: 991c397 5a349b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-06 16:28:31 +0100

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac

commit 991c397c6cd33fa970afe8fa46143ae9201b2002
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-06 16:27:58 +0100

    nano version

commit 5a349b2323f8bfd8a5d18c1bc2d79ef14689c0fe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 18:34:14 +0100

    Disable unreliable test-case
    
    It has a race condition or something.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49595
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 83bb468e0d4b386d88821ba2981f981214e9ebc6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 12:40:45 +0100

    Initialize libdbus for thread-safety
    
    libdbus is not thread-safe by default. This is a long-standing design
    flaw (<https://bugs.freedesktop.org/show_bug.cgi?id=54972>).
    
    We call into GIO, which calls into glib-networking, which can
    (at least in recent versions) invoke libproxy in a thread. libproxy
    apparently has a Network-Manager plugin, which uses libdbus in that
    thread; meanwhile, we use libdbus in the main thread and everything
    goes badly for us.
    
    (It's possible that this crash is only reproducible with broken
    connectivity: I wrote this patch on a train, with intermittent
    mobile broadband coverage.)
    
    In libdbus < 1.7.4, libraries cannot safely initialize libdbus for
    multi-threading, because that initialization is not itself
    thread-safe (!); in particular, glib-networking cannot safely initialize
    libdbus. So, we have to do it.
    
    I have written patches to make libdbus thread-safe-by-default, but
    they haven't all been reviewed and merged yet, and in any case they
    won't be in a stable libdbus until 1.8. Until then, each application
    has to discover and fix this bug individually.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65296
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit f14dfc2f19025a0f9252e58d8b1f6cd8ba6a2744
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-06 13:43:22 +0100

    Prepare 0.17.5

commit f844ca21c4074201ebb4f3e78531ae29dff97e6f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 18:34:14 +0100

    Disable unreliable test-case
    
    It has a race condition or something.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49595
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 67d009ba2e6ac6d21c659d7586670e3e40b5ec3e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 12:40:45 +0100

    Initialize libdbus for thread-safety
    
    libdbus is not thread-safe by default. This is a long-standing design
    flaw (<https://bugs.freedesktop.org/show_bug.cgi?id=54972>).
    
    We call into GIO, which calls into glib-networking, which can
    (at least in recent versions) invoke libproxy in a thread. libproxy
    apparently has a Network-Manager plugin, which uses libdbus in that
    thread; meanwhile, we use libdbus in the main thread and everything
    goes badly for us.
    
    (It's possible that this crash is only reproducible with broken
    connectivity: I wrote this patch on a train, with intermittent
    mobile broadband coverage.)
    
    In libdbus < 1.7.4, libraries cannot safely initialize libdbus for
    multi-threading, because that initialization is not itself
    thread-safe (!); in particular, glib-networking cannot safely initialize
    libdbus. So, we have to do it.
    
    I have written patches to make libdbus thread-safe-by-default, but
    they haven't all been reviewed and merged yet, and in any case they
    won't be in a stable libdbus until 1.8. Until then, each application
    has to discover and fix this bug individually.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65296
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit e7efe3e1470e060b5c214f9678b7b16b7f154b47
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 12:38:38 +0100

    NEWS

commit 72c46475b6b116b431ef26ea711a53e951c2abab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-04 12:33:16 +0100

    Update Wocky to fix a regression caused by #65131

commit d26688c2472ffe697e7495b2e480a1ca335ddce8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-03 12:40:50 +0100

    Avoid having two of the same set of commands run in parallel
    
    A rule like this:
    
        _gen/x.c _gen/x.h: prerequisites
            $(AM_V_GEN)x-generator
    
    doesn't consider x.c and x.h together. Instead, it expands to two rules,
    one to generate x.c and one to generate x.h, which happen to run the
    same commands.
    
    This means that in the worst case, you can end up running x-generator
    twice in parallel, and they'll race with each other and overwrite or
    delete each other's output.
    
    Based on commit 36c2a545c from telepathy-glib.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64285
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 0c7953c80da6aa0fef030669c0588a3451678498
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 20:34:47 +0100

    Update Wocky for fd.o #65131, and test it
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65131
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 7e8aec731742c07513419e3c3582337871b066d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 17:03:11 +0100

    nano version and retroactive release name

commit 9e7500178fa2395c8955680e5c17c40a4b981407
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 17:01:16 +0100

    nano version

commit cface3d679b42bb30e4d489fd493bb6784c275e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 16:24:38 +0100

    prepare 0.17.4

commit 4cf2247825fba29a4432bbea9fb1522cd80af599
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 14:32:51 +0100

    vcard/supported-fields: catch up with fd.o #64319
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 880a75bbf354d48a706c56afafd381040a1d9de8
Merge: 3157284 84a2068
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-30 12:55:31 +0100

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac
    	lib/ext/wocky

commit 84a20687c54c84aa61c9f3a606c8eb3bd14a8544
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-29 17:31:47 +0100

    Prepare version 0.16.6

commit 1e99c77f8d8a686c4c1714a959c062bda6dc0c44
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-29 12:05:09 +0100

    Add a regression test for fd.o #65036
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65036
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit c1d101558de76e3ebacd05fb032764a126d28468
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-28 12:04:44 +0100

    tests: fix JabberAuthenticator when self.emit_events is False
    
    We don't currently use JabberAuthenticator in this mode, so nobody
    noticed that it didn't work. I'm about to add a test that does use it.

commit e8623e79ec356d4e72286140aa31656dc87b0567
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-29 17:22:51 +0100

    NEWS: update and describe configuration changes for fd.o #65036
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65036
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    [added CVE ID now that we have one -smcv]

commit f35fa75276d6e04ea9f99e2df05a75284be920e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-29 17:21:00 +0100

    Update Wocky for fd.o #65036
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65036

commit 3157284e58195cab12a404752f7d96e3c4ea650b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-05-08 13:07:34 +0200

    X-TELEPATHY-PASSWORD is not supported if username isn't known
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=64354

commit 57e62a7871be3209fca3046aaf99cdd055fef59d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-05-07 15:48:55 +0200

    Google vcard can now have an URL field
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=64319

commit 7d81f2e320573647b2049c02a31db0aa3d554e77
Merge: ac6b926 f53ea2d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 16:22:08 +0100

    Merge branch 'telepathy-gabble-0.16'

commit f53ea2d64807cf625ca49f6163b77a36a8282f0d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 16:21:33 +0100

    Merge with-session-bus.sh changes from telepathy-glib
    
    We also have local changes, which should go "upstream" to telepathy-glib
    at some point.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=63119

commit ac6b926a59d30888a5a62779da16d45f99eeb292
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-03-18 11:46:12 +0000

    Update Wocky for #61792

commit 712d271f74b4ff1cd904c66d3e258ec544a933a4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-04 12:22:00 +0000

    Bump nano-version

commit 39aa8ff053de4d127af69bdbe2e896a4f098b284
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 16:45:42 +0000

    Update Wocky to fix distcheck

commit f831ac1e20cdc9212ffae24fadd38621e735d61b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 15:16:04 +0000

    Version 0.17.3

commit e5ff011d3d17cef59e48f47f06f3adae91d9b657
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 15:15:52 +0000

    NEWS for 0.17.3

commit 675565c73c265b7a545f45165ed97299890453fc
Merge: 73c8044 ff28128
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 15:11:53 +0000

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac
    	lib/ext/wocky

commit 73c80443fd8594212f1a0f9fb8a99a0a4d691dbc
Merge: 0bffd2d fa8be7c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 15:09:04 +0000

    Merge branch '43166-muc-rate-limit'

commit ff28128c7699b7fee5757a742f07b4cf9c98764c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 15:02:50 +0000

    Bump nano-version to 0.16.5.1

commit ed05203947880a0f4c45a7f95316e4cc28b23442
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 12:24:16 +0000

    Version 0.16.5

commit 4882535eeeb5843e26dd2b6f0aeaff3f201cbfe6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-03-01 09:16:25 +0000

    NEWS for 0.16.5

commit 110c5af4da0dfd7cd658a1d12047f0dbc79ae2d6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-25 09:51:22 +0000

    Update Wocky snapshot to fix 61433

commit fa8be7c05185ce92696a5771b556e70b8eb99a00
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-22 08:31:18 +0000

    MUC: stop sending chat states after <error type=wait>
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=43166#c0

commit f843f499be4c16683a4a5b054a5bf747254b2050
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-22 08:16:23 +0000

    muc/chat-states: fix and uncomment commented chunk
    
    This didn't work as-is because the <presence type='unavailable'> had no
    <x> child. Using make_muc_presence() does the job nicely.

commit 114c5bc092a9645ecb26cb3310b01d6c8fc08cbc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-22 08:15:30 +0000

    muc/chat-states: tidy up checking message bodies

commit 62fa6bd989afaec604f420692e10e7716a28496c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-15 08:57:14 +0000

    muc: test resource-constraint is exposed reasonably
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43166#c7

commit cc90a503a9a9ef4aab30b60512f3129de0c0b752
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-20 09:26:39 +0000

    Test Prosody's MUC's rate limit is exposed correctly now
    
    There were a combination of problems before:
    
    * The server's error message was not exposed in the delivery report;
    * Wocky didn't recognise policy-violation;
    * There was a bug in Wocky's error parsing code which clobbered the
      message type.
    
    So many bugs for such a small stanza!

commit 96e5379434adde498624517188be9183e3d4a443
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-20 09:19:56 +0000

    Map policy-violation to Send_Error_Permission_Denied
    
    This code is used by prosody's MUC rate-limiter.

commit 21b752bf71edc6889161dca905c3c8300c254355
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-20 09:15:04 +0000

    Update Wocky snapshot
    
    The improvements are:
    
    * A new error code, WOCKY_XMPP_ERROR_POLICY_VIOLATION, added in RFC 6120
      and used by Prosody's MUC rate-limiting;
    * Fixes to the error parsing code when error conditions are not
      recognised;
    * Tweaks to WockyMuc's error signals to include the full GError and
      WockyXmppErrorType in both.

commit 8f315a9dc0e575375a8e592bf84591bdec64afc0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-15 08:55:25 +0000

    muc-channel: include error message in delivery reports

commit 717c765b11fe101d9f32bb352f0377ccc762726d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-15 08:56:42 +0000

    muc/send-error: refactor
    
    There will be more cases shortly

commit f842fbbb1c09cbb60c379006958f178e7f2d34aa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-15 08:39:36 +0000

    muc-channel: pass full error into _receive

commit e80923ff9fb329d39962e4fdb7ba800a1f2a2cb3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-15 08:21:11 +0000

    muc-channel: pull extracting stanza errors up
    
    Really, WockyMuc::message-error should give the error text too, not just
    the error code, but we'll come to that.

commit 0bffd2d8302d81a804f5186f17445abae16b1d85
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-12 10:21:54 +0000

    tests: don't block on Disconnect() without sending </stream>
    
    These three tests were making blocking calls to Disconnect() rather than
    using the disconnect_conn() helper. As a result, Gabble was waiting 5
    seconds for the test server to send back </stream:stream> before timing
    out. Using disconnect_conn(), which sends the stream close back
    properly, shaves between 15 and 18 wasted seconds off the test suite.

commit 0d65aee3d0c72ebf4c2713945524ae5b80e01c08
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-17 12:51:22 +0000

    NEWS for the Jingle code moving to Wocky

commit 1741adad14a19046aaea8109751d6f7680df0631
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-16 10:41:32 +0000

    Update Wocky snapshot for wocky.h with Jingle headers

commit 1cdfcf9b9be0b76c3c9fc2cc98683f9e10a8f8a8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-08 15:09:19 +0000

    Remove reference to GabbleMediaSessionMode
    
    This enum is obsolete.

commit e9cc205c266f628e74c47b4a1bb949be8cc4b8c3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-12 16:08:34 +0000

    Delete all the Jingle code which moved to Wocky
    
    The astute reader will notice that I added a call to
    jingle_share_register() to jingle-mint.c.

commit f91a1063b57b8b50bd3301633e8620051be2e906
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-12 15:25:15 +0000

    Update Wocky snapshot to contain Jingle code!

commit 8bb1176913d7bbb7beaf63c61b3f95dcc4b8c3a5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-11 16:43:39 +0000

    jingle-types: Remove reference to GabbleJingleShare
    
    This isn't getting moved into Wocky.

commit 3936c9dfd5e184abc9d807be8582657aaed81c9a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-11 15:09:14 +0000

    jingle-transport-iface: fix header comments

commit efc093b82db19196d66e02100316295c0cc7e92e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-21 16:11:32 +0000

    Rename most of GabbleJingle* to WockyJingle*
    
    This renames the classes I'm moving to Wocky, and updates all the
    remaining code to cope. A few things are missed out because it's only
    reasonable to change them when the code is in Wocky:
    
    • GABBLE_TYPE_STUN_SERVER_SOURCE (the GEnum for WockyStunServerSource)
      can't be renamed easily because it is generated by Gabble's enumtype
      thing.
    • GABBLE_DEBUG_MEDIA.
    
    Here's the program I used, for posterity.
    
        #!/usr/bin/perl -pi
        use strict;
        BEGIN {
            undef $/;
        }
    
        my @Classes = qw(Factory Session Transport_Iface Transport_IceUdp
                         Transport_RawUdp Transport_Google Content Info
                         Media_Rtp Relay);
        for my $Class (@Classes) {
            my $FullClass = "Jingle$Class";
            $FullClass =~ s/_//g;
    
            my $under_class = "jingle_" . lc($Class);
            my $UNDER_CLASS = uc($under_class);
            s/Gabble$FullClass/Wocky$FullClass/g;
            s/gabble_$under_class/wocky_$under_class/g;
            s/GABBLE_$UNDER_CLASS/WOCKY_$UNDER_CLASS/g;
            s/GABBLE_TYPE_$UNDER_CLASS/WOCKY_TYPE_$UNDER_CLASS/g;
            s/GABBLE_IS_$UNDER_CLASS/WOCKY_IS_$UNDER_CLASS/g;
        }
        s/GabbleGoogleRelay/WockyGoogleRelay/g;
        s/gabble_google_relay/wocky_google_relay/g;
        s/GABBLE_N_JINGLE_RELAY_TYPES/WOCKY_N_JINGLE_RELAY_TYPES/g;
    
        s/gabble_stun_server/wocky_stun_server/g;
        s/GABBLE_STUN_SERVER/WOCKY_STUN_SERVER/g;
        # Can't rename GABBLE_TYPE_STUN_SERVER_SOURCE because it's generated. Blah.
        s/GabbleStunServer/WockyStunServer/g;
    
        my @Blah_Blah = qw(Candidate State Action Content_Senders Transport_Type
                           Transport_Protocol Candidate_Type Reason
                           Transport_State Dialect Content_State Media_Type Codec
                           Media_Description Feedback_Message Rtp_Header_Extension
                           Media_Profile);
    
        for my $Class (@Blah_Blah) {
            my $FullClass = "Jingle$Class";
            $FullClass =~ s/_//g;
    
            my $under_class = "jingle_" . lc($Class);
            my $UNDER_CLASS = uc($under_class);
            s/\b$FullClass/Wocky$FullClass/g;
            s/\b_$FullClass/_Wocky$FullClass/g;
            s/\b$under_class/wocky_$under_class/g;
            s/\b$UNDER_CLASS/WOCKY_$UNDER_CLASS/g;
        }
    
        s/MAX_JINGLE_STATES/WOCKY_N_JINGLE_STATES/g;
        s/JINGLE_IS_GOOGLE_DIALECT/WOCKY_JINGLE_DIALECT_IS_GOOGLE/g;

commit 0f1435f548071f873d7626643f250b04b53931c9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-07 19:31:31 +0000

    Bump nano-version to 0.17.2.1

commit 301a588cbac0745f5f737c0d8d3e45d69e88dddf
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-07 18:53:18 +0000

    Version 0.17.2

commit bf5dcce04b9063c9482def3041dd80b79d47f5b7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-07 16:13:16 +0000

    tests: don't crash in verbose mode on unicode in stanzas
    
    We have this hack that sets __repr__ on domish.Element to call its
    toXml() method, which ends up being used by the verbose logging code
    when it dumps all of an event's attributes. Unfortunately, this blows up
    if a stanza contains non-ASCII characters, because repr() tries to
    convert unicode to str using .encode('ascii').
    
    This made running jingle/test-send-file in verbose mode fail, because
    the file being sent by the test has a non-ASCII filename. The fix is to
    make the __repr__ hack escape non-ASCII characters using the
    unicode-escape codec.

commit 55930f39965c9d9ba356aaba4a24fe4f687a5d3d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-07 12:59:12 +0000

    NEWS for 0.17.2 to date.

commit 51e301d6366e7e5f0f203f19fd594cef27ae05db
Merge: c33a817 52beb82
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 18:35:37 +0000

    Merge branch 'xep-0184'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47378

commit 52beb82932c6c31f43e6b4465a22f5543cff1d06
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-01 15:55:35 +0000

    Advertise support for message receipts

commit a997153f14872719d9be2a0947b58ab29e1ec3a1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-01 15:54:57 +0000

    Add missing cap for jabber:iq:last

commit 70765bfe80f49dabe5396d8be50fa61daf66b705
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 23:32:41 +0000

    Test all this receipt stuff.
    
    I did write this test as I went along, but I forgot to commit it.
    Whoops.

commit 121fa91e6939dca982e631d104405cb2735b1ecb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 23:06:04 +0000

    im-channel: send delivery reports when requested...
    
    ...and the sender is able to see that we are online, is not blocked, and
    so on. This is not a presence leak: all this allows the peer to do that
    they cannot already do is determine that our internet connection has not
    died without our server noticing.
    
    Sending a receipt as soon as the message is signalled to the UI, rather
    than after it's acknowledged, is absolutely compliant with XEP-0184 §4:
    
    > Finally, this protocol does not enable the sender to know that the intended
    > recipient has read the message[, ...] that an end user client has
    > presented the message to a human user (if any), etc.

commit 4af3fe1066bfd36894fb10f80148269ed94d6c11
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 23:04:22 +0000

    roster: obey blocked-ness in gets_presence_from_us
    
    This should be irrelevant because blocked contacts shouldn't be able to
    send us anything which would cause us to send back a reply (eg.
    jabber:iq:last would be blocked by our server), but just to reassure the
    reader.

commit 6077e9b79db0b7a36bc581f4dd049030289cdf72
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 22:52:52 +0000

    im-channel: clean up obsolete docstring
    
    In 574d146 I removed the “magical adventure” aspect of
    _gabble_im_channel_receive().

commit ee3a7d4deec58856d7d1a01ad71157a9b88185b8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 22:44:07 +0000

    Support requesting delivery reports when asked to.

commit a990012f6e48af641686741ea52506230cdcaaad
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-10-31 20:19:18 +0000

    Emit delivery reports for XEP-0184 receipts.

commit c33a817b5bcf9f6bec7c744e4c5a3f0b96df4118
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 17:46:50 +0000

    Don't crash on <success> after closing auth channel.

commit a743f0475e440b8b9712df20bb8d997ff6f23177
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 16:21:30 +0000

    tests: add a couple more cases to sasl/abort
    
    There's no reason these should be any different, but I thought it might
    be worth trying them anyway.

commit be0be56f6c097f1a54c64421303dfeb3b930d7a6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 16:06:17 +0000

    Don't crash on <challenge> after closing auth channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52146

commit e33a5de2806bcf63543fdabb3e8607e9d699ca1c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 16:02:04 +0000

    auth-manager: clarify _challenge_async()
    
    Keeping our own GSimpleAsyncResult rather than leaving it up to the
    channel means _finish() doesn't have to worry about what happens if the
    channel closes.
    
    The g_assert_not_reached () is not safe, but is equivalent to the
    previous behaviour (wrongly chaining up to the parent class makes it
    assert). Next, a fix…

commit 9854f7cb36f71093855af32747aea0031679cf6a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 14:45:13 +0000

    auth-manager: propagate failure both up and across
    
    If we're delegating up to Wocky's internal SASL machinery, it might want
    to know about the handshake failing.
    
    If a SASL channel is open, we should let it know so that it can let its
    handler know that the handshake failed.
    
    If we're using X-TELEPATHY-PASSWORD, both these conditions are true.

commit 5077f330e3c43d6b0ad5747a4151f9b8492cb21f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 14:09:42 +0000

    auth-manager: rename 'falling_back' field to 'chaining_up'

commit 37cbec4ae810668e08764fd5f364708cd6f4c766
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 14:09:19 +0000

    auth-manager: ensure falling_back is TRUE when we're chaining up

commit 6b8656685c4c640a4e753cc94379b87a2ffbfadf
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-20 14:04:50 +0000

    auth-manager: simplify chaining up in _start_auth_async()
    
    Rather than using whether or not priv->channel is NULL in
    _start_auth_finish() to determine how to handle the result, let's always
    keep our own GSimpleAsyncResult.
    
    In this case it doesn't matter very much, because priv->channel in
    practice can't become NULL in the gap between the callback being called
    and Wocky calling _start_auth_finish(). In the other cases it does
    matter, and causes crashes. I'll be fixing those next.

commit 8fd563ccf66e89aaa20bb37f397aa21b23b7d012
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-19 18:00:52 +0000

    auth-manager: save GError from channel when it closes

commit 2b05a3888537cda55710c804d79010677456e503
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-19 17:56:55 +0000

    sasl-channel: stash a GError when Close()d

commit 2dcfd322daa652c4aeb5adbf7b523e5cd36c8309
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-19 17:51:23 +0000

    sasl-channel: stash a GError in more cases.

commit 84e56d9c2c1c1ec20c8228c887140149dad3c07a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-19 17:25:11 +0000

    sasl-channel: split changing state and setting errors

commit d096c9b10d5c0d7787dccd05cd3dae23ffed99a4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-13 18:02:15 +0000

    sasl-channel: don't crash on Abort() then <challenge>

commit 0d347435075681741a6ffba1b75fdeb147e63143
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-13 17:53:30 +0000

    sasl-channel: refactor completing operations to a function

commit a4a45536a7a3c3b489d8f229e6305b014e18e983
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-06 18:11:45 +0000

    Add commented-out regression tests for fd.o#52146
    
    test_close_then_challenge() and test_close_then_success() each trigger
    similar bugs.
    
    test_abort_then_challenge() and test_abort_then_success() both trigger
    the same bugs by a different route, which I don't think my first attempt
    at fixing the original bug would have caught.
    
    test_close_then_failure() and test_abort_then_failure() pass, and are
    here for completeness.

commit 05c044cc47d87222176aee3bfdc278d176d93abe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-13 16:47:05 +0000

    sasl/abort: clean up common test code

commit ea9c62166997004b97dc4a044d44df57ea4c9d91
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-06 17:51:52 +0000

    sasl/abort.py: clean up invoking test cases

commit 19b535ebbacf6cc20c0c3fe82cf51815e391f362
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-13 17:13:43 +0000

    gabbletest: exit if we can't connect to the bus
    
    Previously, if the bus wasn't there (perhaps I killed it when trying and
    failing to ^C the test suite?) the test would just sit there forever
    after the unhandled exception made its way up to the mainloop.

commit 13470c3c4f1602190bcf427911ceb6bb784d9cda
Merge: d2db709 204d30f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 17:37:01 +0000

    Merge branch 'vcard-manager-use-nodes'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57603

commit 204d30fa664a2fde56529f451348c457a6e8a57a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 10:37:37 +0000

    vcard-manager: find no-op replacements with wocky_node_equal
    
    By representing the replacement we have in mind as a WockyNode[Tree], we
    don't have to reimplement the comparison.

commit dbe5edf811d8585866eb4ac605676963a7f19601
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 10:27:40 +0000

    vcard-manager: represent new node tree as a node tree.

commit 1327065e89774ae1f7ffe07dcc473f21d4bdac60
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 09:46:00 +0000

    vcard-manager: refactor applying edits
    
    I found it incredibly hard to follow the old structure; a despatch table
    with one function per case is much clearer, albeit a little longer.

commit ad66082f7e91932db4b8cdd07941951c4d6174f7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 17:13:35 +0000

    vcard-manager: don't repeatedly copy while editing
    
    Previouly, the entire <vCard> would be copied for every single edit in
    the queue, which is dumb: we can just make a copy, patch it according to
    each edit, and send it if it's changed.

commit f7baa0f159e36f0f859fecca4e2af726ac1a6553
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 17:08:29 +0000

    vcard-manager: fix is_significant()
    
    gabble_vcard_manager_replace_is_significant() is meant to check whether
    we're actually changing a value, but in fact it basically always claimed
    we're not, because it forgot to make a note of whether it's seen the
    relevant element.
    
    By fixing this, we can remove a redundant check at the end of
    gabble_vcard_manager_edit_info_apply().

commit dbd66dd645e5e17f8915cce28163f7ba34dba73f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 17:00:28 +0000

    vcard-manager: clarify commentary in CLEAR path

commit de157563532a3196dc55a14ee9e3887a4529ec4b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 16:58:48 +0000

    Test ClearAvatar()
    
    I wasn't sure from reading the code that this actually worked any more,
    and it wasn't tested. I'm happy to say that it does work.

commit 2deced34fe350538fceb9ca8775f0cd8f91ddc15
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 16:43:43 +0000

    vcard-manager: split up gargantuan edit_info_apply()

commit b4604cc6017a7426f716ac4664ccd82b10bad1aa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 15:11:25 +0000

    vcard-manager: copy vcards using WockyNodeTree.
    
    This is actually less efficient than what was there before, because it
    copies the tree twice. I think this is symptomatic of Gabble's edit
    representation being wrong.

commit 9f3562e849f56bb3ecfbdf985722db3deeb00a40
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 16:01:19 +0000

    Update Wocky snapshot for beautiful new node API

commit 5497c9d72b41b47c0e2bc7c6c2ec1bec8bca14be
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 14:38:30 +0000

    vcard-manager: use WockyNodeTree to copy vCard nodes
    
    There's actually another implementation of copying a node tree in this
    file which is a little more involved. I wasn't going to touch it when I
    thought there was just one, but finding TWO…

commit 202014297342e5ba2361879734c6784f71b2cd54
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 13:51:54 +0000

    vcard-manager: add children more neatly

commit 7ff6d247658199261df73db47b0216fd53a05c09
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 16:09:30 +0000

    ft-channel: add metadata forms a bit less stupidly

commit d2db709101b0784e8689433ec547cb826f469a6b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 23:35:58 +0000

    conn-presence: stop using _gabble_connection_send_with_reply()
    
    _gabble_connection_send_with_reply() does not call its callback if it
    doesn't get a reply. This means all these cases were leaking the
    GSimpleAsyncResult if the connection died while the IQ was in flight.

commit 9687c65355f885bc17d7f5f6c849c5f333397021
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 18:40:29 +0000

    Regression test for malformed privacy list replies

commit 86ba1bdac4b88ae23b5f37e349afabacb840f03c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 18:07:56 +0000

    Tidy up privacy list test very slightly

commit 2c1e66315f34380a387ea11a81c227066c38e204
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 18:06:44 +0000

    Regression test for 57521

commit c7d2dfbe19eb5a3c1c9dfbefa61fb48b3416e064
Merge: 3fe57e7 3b10a7f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 16:28:34 +0000

    Merge branch 'telepathy-gabble-0.16'

commit 3b10a7f1b0fcb728210eb12231df8b1a4c289c3b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 18:40:06 +0000

    privacy lists: don't crash on malformed replies

commit 0d908c122903a384882eff7de0e9ec6d6058d661
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 17:45:51 +0000

    Don't crash when creating invisible privacy list fails.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=57521

commit 3fe57e731b2518e22ba21efb4d16f50564363a2f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 15:27:11 +0100

    bytestream-socks5: send empty offer if we can't initiate.
    
    This looks pretty ridiculous, so needs some explanation. If you have no
    network connection (suppose you're on a train, testing tubes using
    Prosody on localhost), then get_local_interfaces_ips() returns NULL
    (the loopback interface is explicitly skipped). So previously, after the
    recipient has accepted the tube, gabble_bytestream_socks5_initiate()
    would fail for the initiator. bytestream-multiple doesn't fall back if
    it fails immediately; so the whole bytestream-establishment fails. The
    initiator's tube channel would close, but no stanza gets sent to the
    peer to tell it to stop waiting for the bytestream offer, so it's just
    hanging there waiting forever.
    
    Just making bytestream-multiple fall back immediately doesn't help,
    because the peer is still expecting a SOCKS5 offer, rather than a
    in-band bytestream offer, so rejects it. Unlike Jingle, SI doesn't have
    a way to cancel an offer once it's been accepted but before the
    transport has been negotiated. So… if we send the peer an empty offer,
    they'll send back an error, and both sides know to fall back (if they
    understand bytestream-multiple) or give up (if not).
    
    There is no test case for this, because it's difficult to make
    get_local_interfaces_ips() or gibber_listener_listen_tcp() fail from the
    test suite. I tested it with a pair of simple D-Bus tube clients and no
    network connection, and/or hacking get_local_interfaces_ips() to always
    return NULL.
    
    Although this trick is schema-compliant
    <http://xmpp.org/extensions/xep-0065.html#schema>, it's not compliant
    with the wording of XEP-0065. Quoth §5.3.1
    <http://xmpp.org/extensions/xep-0065.html#direct-proto-initiate>:
    
    > The <query/> element MUST contain one or more <streamhost/> elements,
    > each of which MUST possess the 'host', 'jid', and 'port' attributes.
    
    But it also says:
    
    > If the request is malformed …, the Target MUST return an error of
    > <bad-request/>.
    
    So this should work with any (robust) implementation.
    
    The option would be to (try to) start listening before sending the
    SI offer—if it fails, don't offer to use SOCKS5 bytestreams.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=48050

commit dfe1f729d0026ee72202f43733d9d3376b9d8447
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 13:45:47 +0100

    bytestream_factory_negotiate_stream(): don't pass stream id to callbacks
    
    None of them use it, so…

commit 6f95a1e49fb7e59eeeb3d4581e678a6c3141868d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 13:41:25 +0100

    bytestream_factory_negotiate_stream(): remove return value
    
    It's always TRUE, so it's unneeded.

commit aacafd899c775acada617c61c0418ba25166e274
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 13:35:29 +0100

    bytestream_factory_negotiate_stream(): use send_iq_async
    
    This clarifies that this function can never fail, which can be the next
    thing we clean up…

commit a6dcef8cd434e05ffbdb569ecdceca68cd2bc04a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 13:29:04 +0100

    bytestream-factory: stop NIHing TpWeakRef
    
    Step one in cleaning up gabble_bytestream_factory_negotiate_stream() is
    to simplify its context structure.

commit 191c3fbfa4f5309227e664273cd8b300871b04b9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 13:06:24 +0100

    Split gabble_bytestream_socks5_initiate() in two
    
    This more clearly separates the code which sets up the listener (which
    can fail) and the subsequent code to transmit IP addresses to the peer
    (which cannot fail), I think.

commit a188bd209fc34195a0ccd2d12485c1da68265299
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 11:56:58 +0100

    bytestream-socks5: stop using _conn_send_with_reply
    
    This makes it clearer that gabble_bytestream_socks5_initiate() can only
    fail synchronously for local reasons.
    _gabble_connection_send_with_reply() only returns FALSE if we have no
    porter; but from the moment we go to state CONNECTED (before which you
    can't request channels) to the moment the connection is disconnected, we
    do have a porter.

commit 0adea4c2574e53a687e20177175c18a5ce038767
Merge: d5b1bc6 89239d4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 12:43:41 +0000

    Merge branch '57546-there-can-be-only-one-jingletest'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57546

commit d5b1bc6cc7d76aa32bd441703c2da72213fa33ea
Merge: de8905b 6bc2931
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 12:30:46 +0000

    Merge branch '57615-misc-cleanup'

commit de8905b5bb098c6f0468e9a2856006d1583ad80c
Merge: b735dc9 fbd33aa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 12:26:28 +0000

    Merge branch '25961-stun-srv'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25961
    https://bugs.freedesktop.org/show_bug.cgi?id=25385

commit b735dc9c1320b9a6c206a0856758c60c130428a8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 12:04:17 +0000

    test-multift: clean up a bit

commit dd3d88b53132946ed313da29e30523761e4f9fcd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 11:55:14 +0000

    test-multift: don't rely on q.expect timing out
    
    Previously, this test checked that events didn't happen by waiting for
    them to happen, asserting if they did, and catching the TimeoutError
    which occurred if they didn't.
    
    But it's more obvious what's happening to forbid the event, take all the
    actions, and then sync the stream to make sure it hasn't appeared. Plus,
    it shaves 6 seconds off the test.

commit 57ba5c87466279069bf332006e2d0947c4807633
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-06 11:18:15 +0000

    Fix file transfer tests for these new interfaces

commit cf1795dec89679ec14cf8d48d0826d616299a654
Author: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Date:   2012-11-29 15:16:01 +0100

    Export o.f.T.Channel.Type.FileTransfer.FUTURE interface

commit 2bbb612f31af9b8a84f8db44c68aab92a424d92d
Author: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Date:   2012-11-29 12:45:36 +0100

    Fix o.f.T.Channel.Interface.FileTransfer.Metadata
    
    Fixes: fd.o#57267

commit 6bc2931e859d9c23b8d81fede23c0a962514dfae
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 15:40:29 +0000

    Don't use add_child_with_content with NULL/"" content
    
    This is harmless, but looks messy. It's leftover clutter from the
    loudmouth era.

commit 6dacd571ae133e9f8ada918e6222b79c932e0788
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 15:08:04 +0000

    Avoid manually setting WockyNode.ns where sensible.
    
    There's still one case in the Jingle code which seems justifiable.

commit 0a7fd199e0ce6b1e67fc18cdae023c9ce9b608b4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-27 14:45:13 +0000

    jingle-session: tidy up sending content-reject in idle

commit 89239d474941b766d2f41e9ee2a89094a3d4d980
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:50:12 +0000

    Remove the olde jingletest

commit 8e19ae80d2696f42fc472440ec10c89bb844d932
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:37:02 +0000

    jingle/google-relay: use jingletest2

commit 240e6529fdc298cc399aa78a45947664c6f2c2dc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:34:17 +0000

    jingle/test-wait-for-caps-incomplete: don't use jingletest
    
    This test didn't actually use any of the jingle protocol stuff at
    all—it's just a caps test.

commit 01bd7ab1c9088ce4151cdca32e58585fb95334e1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:31:56 +0000

    jingle/test-wait-for-caps-incomplete: unskip half the test
    
    The connection doesn't seem to leak any more. I added this in 07822b272
    because <https://bugs.freedesktop.org/show_bug.cgi?id=29790>. I haven't
    investigated fully, but the test passes, sooooo... :)

commit d4ffb25c14d5686c9419ece0826fe2e0de9491fe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:20:46 +0000

    jingle/test-wait-for-caps: use jingletest2

commit 4aed845bc67b1d98b6d6f69bc1a5c4dbd2ac4deb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:13:54 +0000

    jingle/stream-handler: use jingletest2

commit d31e229e8bdc3dad3e7d98bf291c103cb4948c8f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:10:39 +0000

    jingle/payload-types: use jingletest2

commit c52894a5facb58465bc6933277e16307f978a767
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:01:29 +0000

    jingle/payload-types: clean up a bit

commit 7cdccfed7508e5a915dcd62f8936393e67884b56
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 08:56:05 +0000

    jingle/payload-types: remove obsolete FIXME

commit 804cf93f08c79b400cdca43b45895b2922f05464
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-24 13:34:46 +0000

    jingle/outgoing-many-streams: use jingletest2

commit c953579854451a79a005ca2a5663f3230c30efc8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 18:47:45 +0000

    jingle/decloak-peer: use jingletest2

commit a6b807a29ec90046327a937c15bfe37e9f1fb6c9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 18:36:35 +0000

    jingletest2: make classes new-style

commit fbd33aa489c1d9c129e2815ed86678ceacb0ad0d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-26 09:46:21 +0000

    jingle/stun-server: use jingletest2
    
    In passing, test all dialects. (Though I think this may be a little
    overzealous.)
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25385

commit 84b84e7a04cc5e5d4ca51b187f7be6ebf7886062
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 17:20:39 +0000

    JingleInfo: add a TODO for Google returning >1 STUN servers

commit 5e5080f7cd7984fb4c62cee1a1856406dc210d0e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 16:29:56 +0000

    tls/server-tls-channel: use with statement when reading certs

commit 783e0913e2c70290ef99b86241fd60478d4abdba
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 10:04:08 +0000

    jingle-info: discover a STUN server using SRV
    
    Derived from a patch by Mike Ruprecht.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25961

commit 286eadd02129048ec5c7ee7c693358db5916cf9a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 14:17:51 +0000

    jingle-info: don't discard google:jingleinfo pushes.
    
    Previously, Google's reply to our original google:jingleinfo query would
    be used correctly, but the act of passing it to
    gabble_jingle_info_take_stun_server would set get_stun_from_jingle to
    FALSE, causing any later calls to got_jingle_info_stanza() to ignore the
    updated STUN server information.
    
    We address this by distinguishing between user-set and server-provided
    STUN servers, as opposed to just between fallback or not.

commit 149ef25677a0d4cf366c4fd0217f839d5d364ded
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 09:56:52 +0000

    jingle/stun-server: pluralize expected stun servers

commit c342df10d1a2e7f04bd40afd46549cc0a9f8ca8c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 09:47:25 +0000

    gabbletest: properly support domains other than @localhost
    
    I need to be able to vary the domain to do a variety of STUN SRV tests.
    Previously, whatever domain Gabble tried to connect as, the server would
    just bind you back to @localhost. The only test which tried to do
    something exotic was the Facebook own-message test, and that one seemed
    to work anyway… oh well!

commit aae6367f43cf9fd509571e52ea87c7bee5d6124f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 15:51:11 +0000

    tests: share more code between XmppAuthenticator subclasses

commit 106749d45b6075798f15c970d8cb44501fb4eced
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 18:04:30 +0000

    jingle-info: make get_stun_server plural
    
    In practice it still returns at most one server, but just you wait…

commit da988bf629a94eaaa7cd5971705f3aec4b3cb1c5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 17:41:42 +0000

    JingleInfo: refactor google:jingleinfo feature stuff

commit e4396c735cd7ba89ab5131bc345c609d927c2ee6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 16:27:37 +0000

    test-resolver: remove unused field for a real GResolver

commit a12bb8705eb0810b67f83dae7185a182bb1225bd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 16:21:35 +0000

    jingle/stun-server: remove unneeded do_connect=False
    
    This used to be needed to ensure that the query Gabble sends right after
    connecting wasn't swallowed by the expect() calls that gabbletest makes
    after Connect(). But now that Sjoerd's split the dbus and stream event
    queues, this is no longer a problem: the only stream event it awaits is
    stream-authenticated, which is certainly before the jingleinfo query.

commit 98add3fb1749366229fc0c211f0fa939d3dfc267
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 16:17:51 +0000

    tests: use partial in a few places for neatness

commit 7852403fa7f216d43fe583a1345cd57eef0ac5a8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 14:44:05 +0000

    tests: unduplicate fallback stun server check

commit 8a7399906b40e99b6a0b5b3a7eff0879f7cca361
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 14:42:12 +0000

    tests: use ns.GOOGLE_JINGLE_INFO constant

commit ecee60dfc33f05e56eb2d2b34faf188943ff8931
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-23 18:26:20 +0000

    jingle: correctly send back unknown-session errors
    
    I broke this in c1be75d9 but it wasn't tested. Luckily
    WOCKY_JINGLE_ERROR_UNKNOWN_SESSION (2) is a valid WockyXmppError too so
    we didn't crash before, we just sent <gone> instead.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=33789 is relevant.

commit 1e107a46a34f2251968478052dd4a8239ec2356b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-22 10:44:37 +0000

    Update Wocky snapshot for deconsting G[S]Lists

commit 28ddadbd3a3ce84bf3619d83dee005d320f3a915
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-01 14:22:37 -0500

    Don't put const before GSList, the g_slist* functions aren't const-marked

commit 1d6c3044f13488e5457a31be631dec8e12068b6b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-12 14:10:57 +0000

    Update Wocky snapshot to validate stanza namespaces
    
    This breaks the console plugin, which checks if an entered stanza is of
    a known type, but <message xmlns=''> is not the same as <message
    xmlns='jabber:client'> so Wocky now says the former has type UNKNOWN.
    The plugin already had some code to fix up empty namespaces, but it's
    after the type check. For a better fix, I added API to give
    non-streaming WockyXmppReaders a default namespace, and used it here.
    
    In the course of fixing this, I found that telling the console to send
    this:
    
       <message>
         <body>
           hai
        </body>
      </message>
    
    would send this:
    
       <message xmlns='jabber:client'>
         <body xmlns=''>
           hai
        </body>
      </message>
    
    which is wrong: the empty namespace was not being fixed up recursively.
    This is fixed as a side-effect of the default-namespace property, but
    this patch also adds a test.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57016

commit b09e286aa47dfafcc0809cee0e4fe97fd87f95c8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-14 15:37:05 +0000

    vcard/set-avatar: improve test

commit e27b7af0d486b80fe370bd9bcbe6e109dfe1aec9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-14 15:32:42 +0000

    Make line-wrapped base64 allocation clearer

commit fbee99b49de53621a8a5a38534d4cc423296aeef
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-14 15:27:13 +0000

    Add a regression test for line-wrapping avatars

commit eae50abaec48f182b9cbe4cd2d0882f20c04be65
Author: Alban Browaeys <prahal@yahoo.com>
Date:   2012-11-13 18:49:17 +0100

    Fix allocation of the string passed to g_base64_encode_step.
    
    As per g_base64 documentation the minimum size is :
    avatar->len / 3 + 1) *4 + 4)
    and if line breaks are enabled:
    +  ((avatar->len / 3 + 1) * 4 + 4) / 72 + 1
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57080

commit 67bbddce3fcc200ba97957963939b770797d68a1
Merge: 37102bb 89346a8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-09 17:18:10 +0000

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac

commit 89346a8c8f48add8b090b31a9c63f8239f9bf761
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-09 17:12:48 +0000

    post-release nano-version bump to 0.16.4.1

commit b71ded41ee9ddad4a6b6be85759526dc39c55c79
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-09 16:47:26 +0000

    Version 0.16.4

commit b27c3518e2efd5151a24bbc7232155a32effefa7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-09 16:47:12 +0000

    NEWS for 0.16.4

commit 37102bbdc665c58cd17dbb635fde31027e5d6111
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-11-09 16:55:42 +0100

    caps-channel-manager: Drop reset_caps, which is now unused
    
    Fixes: https://bugs.freedesktop.org/56181

commit 64b405cb025a00c3962a415dd90119771517cf6a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-06 16:46:44 +0000

    muc_factory_broadcast_presence(): don't crash if disconnected
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=52362 (I hope)

commit 1bd50bc9f5e1cab09b506cea8dd1985b98dfe5e1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-06 16:46:44 +0000

    muc_factory_broadcast_presence(): don't crash if disconnected
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=52362 (I hope)

commit d300a2e432294c77a55cdc45cd5d7b3f653e13ff
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-05 16:06:06 +0000

    muc-factory: clarify cancelling queued requests.

commit 5f262b5741724c0210f51e07691ba830682f5f25
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-05 15:53:23 +0000

    muc-factory: use find_text_channel function.
    
    Reducing the number of places we directly access priv->text_channels
    will make it easier to do the right thing when it's NULL.

commit 42f4043b305a6e07f8ad87deaf96c6fc6e9f2b59
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-05 15:12:22 +0000

    sidecars: fix enqueuing requests made before connecting
    
    tp_base_connection_get_status() returns DISCONNECTED in two states: when
    the connection is yet to connect (internally, it is in state NEW) and
    when the connection is defunct. tp_base_connection_is_destroyed() allows
    us to distinguish the two in this case. This was introduced in commit
    fde8437 and was caught by gateways.py.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=55908

commit 8d4226c28153f054afc16d6b7e7d738b5359ee42
Author: Heiher <admin@heiher.info>
Date:   2012-11-05 14:29:37 +0000

    Use GLib's base64 implementation rather than Gabble's own
    
    (Patch modified to add aggravating signed <-> unsigned casts, and to
    adjust some tests to cope with GLib appending a trailing newline where
    Gabble's home-grown line-breaking did not.)
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=54760
    Signed-off-by: Will Thompson <will.thompson@collabora.co.uk>

commit 1e5c99563e671ca7dece95a1fa66d5a20cb9c722
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-02-09 15:12:02 +0000

    test: protocol.py: make the test pass when plugins add new statuses
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45988

commit 683414706b5f83f193143e4765cd1437698d8fd3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-05 13:51:44 +0000

    tubes/accept-muc-stream-tube: remove unused imports

commit 4002ab7685dc58053133f3998d31dbc2270f8829
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-11-05 13:49:58 +0000

    accept-muc-*-tube.py: accept the list of interfaces in either order
    
    The order swapped in commit fde8437a, and in principle it should never
    have mattered anyway.
    
    (Simon noticed this. I changed the patch in response to Jonny's review.)
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55911

commit e4c126a0ded1eb0c68bdf03d86acd64728c7beb0
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-19 16:17:35 +0200

    connection: Don't reset the capabilities in UpdateCapabilities
    
    This ensures that a running Gabble process will always create Call1
    channels once it has seen such a client in its lifetime.
    
    Remove gabble_caps_channel_manager_reset_capabilities and its
    implementation in GabbleMediaFactory, since it is not used anymore.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56181
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit 3a068ebe96a0586247f4f597877a0dab78b47779
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-19 16:17:35 +0200

    connection: Don't reset the capabilities in UpdateCapabilities
    
    This ensures that a running Gabble process will always create Call1
    channels once it has seen such a client in its lifetime.
    
    Remove gabble_caps_channel_manager_reset_capabilities and its
    implementation in GabbleMediaFactory, since it is not used anymore.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56181
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit 5c161a8c2eea38dd847c7e0c5a30aec529eb68e8
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-09-17 15:10:56 +0100

    update wocky snapshot
    
    This is for the WockyConnector::connection-established signal.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d2ca56c6a3850e58e66d9dc86eba14aa2a32b53c
Merge: 373713d 6a82d4d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-09-17 15:08:08 +0100

    Merge branch 'tcp-nodelay'

commit 373713d8c9d5a0a2810e57b5f5033a6b9ac516f2
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 16:25:35 +0200

    Remove useless tp_handle_unref()

commit fde8437a4c41f20dfe8da2439db73a0008ed4fce
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:36:13 +0200

    Stop accessing sealed tp-glib structs

commit 5fd48d98fe83c974d6e024cf4fcb8735a0016460
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-10 17:48:51 +0200

    Disable tp-glib single include

commit 351b8e5f6eae3e7d75479e65173049a8dfa4bd04
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 12:15:55 +0200

    Prevent post 0.20 tp-glib API usage

commit 9801e21b3489f20f8f6c88e2e40154e8e7da726a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-10 17:47:10 +0200

    Update tools from telepathy-glib
    
    I know this adds useless tools, but it's easier to have a raw copy
    of tp-glib's directory. We should consider using a git submodule tbh.

commit c7fd1d5ef73cf7ef64b54b378ae7940bb5ba369c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:58:04 +0200

    Bump nano version

commit 86f15f2e3057dea4fd52ad0840c6b77cf379c47e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:54:55 +0200

    Prepare 0.17.1 release

commit eb53bcaffc16ae388d3cda3b13e7088d84f80388
Merge: 4c720bc 2a17888
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:49:33 +0200

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac

commit 2a1788842f38aaadb028ddd96f7e82f6db7e70b8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:43:05 +0200

    Bump nano version

commit 406c9d74b100184197780d8bd6c68c6e393eeb76
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 15:39:40 +0200

    Prepare 0.16.3 release

commit 4c720bc262ea35b802606910b63b57f28929bdc6
Merge: 36b4819 5c2184c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 12:02:09 +0100

    Merge branch 'telepathy-gabble-0.16'
    
    Conflicts:
    	NEWS
    	configure.ac
    	src/conn-addressing.c
    	src/jingle-info.c
    	src/media-channel-hold.c
    	src/message-util.c
    	src/muc-tube-dbus.c
    	src/muc-tube-stream.c
    	src/olpc-activity.c
    	src/presence-cache.c
    	src/protocol.c
    	src/room-config.c

commit 5c2184c21b1e8878394834a3b1ef9096a3c51087
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 11:26:03 +0100

    NEWS for 0.16

commit 8a6e9461f9cc12788532441bcc6f43fa7df4913f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 15:22:30 +0100

    Verify that every caps 'ext' we ever advertise can be disco'd without error
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54634
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit da14b4e86d503b30054b10b5e7b00eae7ba1add5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 15:19:30 +0100

    Now that camera-v1 has a caps URI, don't treat it as part of video-v1
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54634
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit fbfa8c138da1a4f00c74af4bda98e858a203a58b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 15:18:23 +0100

    Add Google camera-v1 as a first-class caps bundle
    
    This is partly a point of principle - given any caps bundle that we have
    ever advertised support for, we should be prepared to define when asked -
    but mainly a workaround for the iChat bug mentioned in commit af55ea3d.
    If we return an error, it will keep disco'ing us repeatedly in a loop.
    
    This leaves us with the problem of finding out what the bundle contains.
    In Google's usage it is only its name that is important (ignoring that
    XEP-0115 explicitly makes bundle names opaque), but replying to disco
    requests for it requires us to be able to turn it into a set of 0 or
    more capability URIs. Because of the Google server bug mentioned in
    commit cd0da0a8, we can't just ask a Google client, because they're
    all on Google servers, so they can't usefully be disco'd.
    
    We assume here that it behaves like the voice-v1 and video-v1 bundles
    in containing exactly one URI, and that that URI corresponds to the
    bundle name in the same way.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54634

commit 1866bc54eecf2fa6ce00b37d196cd904f8a0203b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 11:45:16 +0200

    Pass RemoteContact key into UpdateLocalMediaDescription
    
    Now that telepathy-glib actually correctly checks what is passed to
    UpdateLocalMediaDescription ensure we always pass the RemoteContact key
    in the dictionary.

commit 61cb4d227d1cbbf85d08f94c28036ba9d831f2fb
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 11:06:28 +0200

    Don't assume NewDebugMessage will occur before NewChannel

commit e3aae2b2143c8b851e5814f6711aff75d4a1d197
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:30:36 +0200

    Make the installed file generation depend on Makefile
    
    Make the rules for generating files part of the installed tests depend on
    the Makefile such that it gets regenerated after runing configure with
    a different prefix

commit 217f39faabeece4946030ea14b6f26bda40fa276
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:14:48 +0200

    sed pluginexecdir in run-gabble.sh
    
    Commit 352d2da805561ec0164a6e800cd3c3e3bbc629f3 starting using
    pluginexecdir instead of ${libdir}/telepathy/gabble-0. Unfortunately the
    generation of run-gabble.sh wasn't adapated

commit ccc8f443c94d14d9dd94a5f4fbc84183159e8d33
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:10:52 +0200

    Set gabble twisted location both for installed and uninstalled tests
    
    Set GABBLE_TWISTED_PATH in the environment which points to either the
    installed (when using run-test.sh) or the srcdir location (when using
    make check)

commit 36b4819e116fbbcca22c7c87d72d31353b6802bb
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 11:45:16 +0200

    Pass RemoteContact key into UpdateLocalMediaDescription
    
    Now that telepathy-glib actually correctly checks what is passed to
    UpdateLocalMediaDescription ensure we always pass the RemoteContact key
    in the dictionary.

commit ed9e8cf54b708276cfa02a589a77af7ce6ac447c
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 11:06:28 +0200

    Don't assume NewDebugMessage will occur before NewChannel

commit 204fa429bbe263d0f88540957b613572f002259c
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:30:36 +0200

    Make the installed file generation depend on Makefile
    
    Make the rules for generating files part of the installed tests depend on
    the Makefile such that it gets regenerated after runing configure with
    a different prefix

commit a8bab9887ce33c580b74e43d75fe4b64a1edfecb
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:14:48 +0200

    sed pluginexecdir in run-gabble.sh
    
    Commit 352d2da805561ec0164a6e800cd3c3e3bbc629f3 starting using
    pluginexecdir instead of ${libdir}/telepathy/gabble-0. Unfortunately the
    generation of run-gabble.sh wasn't adapated

commit 41cccaa8baf6970810ea406a86c04029c2230849
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-11 10:10:52 +0200

    Set gabble twisted location both for installed and uninstalled tests
    
    Set GABBLE_TWISTED_PATH in the environment which points to either the
    installed (when using run-test.sh) or the srcdir location (when using
    make check)

commit 223a234ad1b30608b122670d8504d33fd6c05d42
Author: Luis Araujo <luis.araujo@collabora.co.uk>
Date:   2012-09-07 17:12:47 +0100

    run-test.sh.in: print pass/fail status
    
    Some automated testing frameworks, including LAVA, ignore exit status
    and rely on screen-scraping results from log output. Use the Automake
    convention here (each match of ^(PASS|FAIL|SKIP): (.*)$ is a test result).
    
    [commit message added -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52049

commit 6f4aeea22388d325f056882224b87429da1e702c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 15:26:19 +0100

    Turn off deprecation warnings, this is a stable branch
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 6a82d4dab2a3d89bb15d4e93f9dfe10be609d210
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-30 21:27:03 +0100

    only set TCP_NODELAY if GABBLE_NODELAY is set
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1600f7b3759a095f76754b62de0ad920221bb721
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-04 11:34:56 +0100

    gabbletest: set TCP_NODELAY on Twisted's XMPP server socket
    
    http://i.imgur.com/mWH7b.jpg
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1420fafea0aa209323f6245afd3f3d9f6452fe8d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-04 11:34:22 +0100

    debug build: set TCP_NODELAY on sockets that Wocky creates
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e193a39e1272931c9470884a42f1a97655438e9a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-28 14:19:19 +0100

    NEWS: updated
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d4c7189ee40a9eb8a0831c78b2dbd5a54e221237
Merge: e5aed68 1ed31aa
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-28 12:19:56 +0100

    Merge branch 'only-one-tube'
    
    Conflicts:
    	src/tubes-channel.c
    	src/tubes-channel.h
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e5aed68fb70d5450f3dd463b13aef7e52900232f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-28 12:19:12 +0100

    configure: bump dependency on tp-glib
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 97c72b2036065b7b3f4862692656b87e9a07ae62
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 16:39:35 +0200

    Bump nano version

commit e60e4f72356ccfe6f8b62c04709430d8debbb737
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 16:07:30 +0200

    Prepare 0.17.0

commit 1bdfdfcfc0457a33d19df9d8deaeb3bc42d424a6
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 15:49:41 +0200

    Make sure "make -j3 maintainer-foo" works

commit 9f6c4a07d6a3f4776dca92864fe356442b75d19c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 15:53:18 +0200

    Bump nano version

commit 46be2e2be7e11d9270907b886085c962ee361861
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 15:41:52 +0200

    Prepare 0.16.2

commit 49dc42c7ee6a77858d6e57df919a3008122661c1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-14 15:49:41 +0200

    Make sure "make -j3 maintainer-foo" works

commit 1ed31aae5ef79aa7ffc92143ad1b80400c37197e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-24 13:15:39 +0100

    muc-factory: clarify code deciding whether to announce text channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5c8c83a0637f3c44d7e608372454b6aa6410b032
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-20 12:44:15 +0100

    muc-channel: remove ::appeared signal, replace with is_respawning check
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 73b0cbbf9eda1ca4922f562bc99f209e7fac326e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-20 12:17:07 +0100

    private-tubes-factory: add further assertions in parsing a tube invite
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 77dafcbc1a7f1de2c6de8f82fd60c3b7eac2a3d3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-20 12:03:50 +0100

    private-tubes-factory: ensure (not lookup) handles from tube invites
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 745b5ddcaf5220f2976cabd60a966c52eb25f440
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-19 17:30:25 +0100

    tubes: use 64bit uints for tube IDs everywhere
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 18f0ca014a92fcc40be0f4658a247687739fc1dd
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-18 17:40:32 +0100

    private-tubes-factory: simplify emit_new_channel code
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit dbae4d1275181d9c792616a53b328d5de02035b5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-18 17:34:16 +0100

    private-tubes-factory: add a comment about who owns new channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1ed620dc1a64533f8aeaa668f510c930c2aa6f5e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-18 17:27:38 +0100

    private-tubes-factory: correct logic in looking up existing tubes
    
    Good catch, Simon!
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7dca54edf28f95a911d95aa7fc6c6d333e31b915
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-18 17:25:17 +0100

    private-tubes-factory: appease the code style checker
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit eeb872711256df80c71f3dac2f8de718f0c0d64d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-05 12:11:59 -0400

    muc-channel: disappear from the bus when not requested
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3b045801e426844af922b5a34a86f4ca0765a6f3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-18 09:44:58 +0100

    muc-channel: use TP_PROP more than appending the property to an iface name
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ba5b6373c4b42c572f44f9559aad995a81115d8f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:57:54 -0400

    tubes-channel: remove
    
    Hooray!
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit faaec035ccef8d2b3f196d923c412f7fecfef1bc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:56:59 -0400

    muc-channel: remove "tube" property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1b08b38de7166ae229555ff9aecf49278d67a97c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:53:31 -0400

    muc-factory: simplify code to get IM channel from InitialChannels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5b5ffc4516a4fe2ef2ac5b0c131ae1b2610de789
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:53:20 -0400

    muc-factory: remove dead comment
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 353db90ad65b2f5749384505bd8372ca8264f44c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:52:33 -0400

    muc-channel: enable SI stream requests again
    
    This code came from GabbleTubesChannel.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f5b269b50df5b859fee0c168deafa97b107d9ad7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:35:17 -0400

    muc-factory: fix listing of channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2aea52346a9c1a4adc6e373888298d9a6c50e52a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:29:57 -0400

    tubes test: fix up now that we return text & tube channels together
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 07dca90ececeee6613a6c0057f3d1b68a6b8ea5c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:27:23 -0400

    muc-channel: remove unused methods
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8305b566af9b3b0219a417dd9e854d32a8ec06fb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:24:37 -0400

    muc-channel: send Tube presence where appropriate
    
    This was removed GabbleTubesChannel.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d6ade9e4a2cfae7054dfc75a39cc6d724bdb7933
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 17:11:53 -0400

    muc-channel: add way to request single Tube channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 9568e3b1c68648781b39d4968d71128ba07ede96
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-26 16:51:24 -0400

    muc-factory: remove Tubes channels from Tube channel requests
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 87fc93eba8527d5c183c0121190ac75d07f39beb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-23 19:16:25 -0400

    muc-channel: store Tube channels here
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 64cf190a7fc4ed8e8bbd340c9581e3ddfff9d4e6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-23 18:55:04 -0400

    muc-factory: remove Tubes channel handling code
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 88777ca5ca7847d6f7b27a590d26f283a286f7ad
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-23 18:51:37 -0400

    muc-factory: stop exposing Tubes channels in RCCs
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 95ea89f326c9d2b34eda734a77344664e6f56bf0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-23 18:49:39 -0400

    private-tubes-factory: make extract_tube_information public
    
    This should probably go in a tubes-util file or something...
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6ae35c68a9451257b6cc136ed3dbd857241fdcd6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-23 18:48:38 -0400

    private-tubes-factory: make error messages more specific
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2fd80cbc062c60402d3bc93e0b08dcba3b6d6732
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-16 17:48:14 +0100

    jingle caps test: add a test for Google caps with a random node
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5752b2a7b92f91fb80874272137a89151c630f21
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-16 17:45:55 +0100

    presence-cache: ignore caps nodes when we see google 'ext' features
    
    Google keeps changing the node for its voice-v1, video-v1, share-v1,
    etc. features. Let's just ignore it from now on and if there's no hash
    treat it as if it might be Google.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1158ce4649fe88dc410769665def19e5e702c9ec
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-16 14:04:12 +0100

    presence-cache: parse caps URIs as a pair of node and fragment
    
    Previously we'd always throw the node and fragment together like:
    
        node + '#' + fragment
    
    Separating them has the advantage of being able to only look at the
    fragment later (without using string tricks) and ignore the node.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f88ae541292e0ff4abd9214bef4c7b99a55dc4e9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-11 11:53:03 +0100

    server-tls-manager: deal with modification of the GList while iterating it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5de7189fa93918cc1dda3bfdf8d5833b63e43020
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-11 11:53:03 +0100

    server-tls-manager: deal with modification of the GList while iterating it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c04d52520e405649a2878902a0c825558b5a91ac
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-28 10:30:55 +0200

    Implement WLM jidlookup
    
    See description: http://msdn.microsoft.com/en-us/library/live/hh550849.aspx
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 8947be225e17d1cee96cf41586f495dcd35c6904
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-20 15:24:58 +0200

    0.16.1 release

commit 9abf25885dd71047746ea496ea3bdaff7f3499e7
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-13 14:41:10 +0200

    GabbleServerTLSManager: Support multiple consecutive TLS verifications
    
    WockyConnector could now restart connection with another host,
    and so needs to re-verify TLS.

commit 788a8fcfc2946eae5327665b9e7c8a71a9475a9c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-13 14:41:10 +0200

    GabbleServerTLSManager: Support multiple consecutive TLS verifications
    
    WockyConnector could now restart connection with another host,
    and so needs to re-verify TLS.

commit 287fb2d9fabd2703c17020c4fd9493e8531c0a03
Author: Marcus Lundblad <ml@update.uu.se>
Date:   2012-05-18 13:29:12 +0200

    Fix for initiating a video call from an Android tablet.
    
    Reviewed-by: Sjoerd Simons <sjoerd@greynoise.nl>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36998

commit bced2f61312ab407964ac3ef0653183eb3b8c6cc
Author: Marcus Lundblad <ml@update.uu.se>
Date:   2012-05-15 22:40:04 +0200

    Make Android 4.0 GTalk contacts appear as capable of a/v calls.
    
    Reviewed-by: Sjoerd Simons <sjoerd@greynoise.nl>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36998

commit e1673f4fb2818a8c2906b056a0a62d28cdd54097
Author: Marcus Lundblad <ml@update.uu.se>
Date:   2012-05-18 13:29:12 +0200

    Fix for initiating a video call from an Android tablet.
    
    Reviewed-by: Sjoerd Simons <sjoerd@greynoise.nl>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36998

commit dad87309ae85ca4a45e393c1e351b309fc8097a6
Author: Marcus Lundblad <ml@update.uu.se>
Date:   2012-05-15 22:40:04 +0200

    Make Android 4.0 GTalk contacts appear as capable of a/v calls.
    
    Reviewed-by: Sjoerd Simons <sjoerd@greynoise.nl>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36998

commit 89751765986de2390c53e83ec41a4ea59aabd62c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-30 13:56:20 +0100

    Include missing config.h at the beginning of jingle-info.c

commit fa3b39e7a84fa985a5f7bac664fa6af8a355e622
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-30 13:34:20 +0100

    Use meta-headers for everything
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit a71f4c62ac847c8d2cf78cb6b7db62786b82dd1b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-20 19:01:46 -0400

    private-tubes-factory: remove some duplication
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f9eca443d693dbde73e92cd7a2eee6980b69114f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-20 15:22:25 -0400

    connection: make a better guess at the final number of channel managers
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d9f90c7b16df1ed85fbabbdaa34ea418e29e38f3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-20 15:11:13 -0400

    private-tubes-factory: remove old Tubes code
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7490deaff7d3acf2cbecb947d3dfe984e782eb94
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-20 15:04:05 -0400

    private-tubes-factory: move SI tube request handling to here
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5d804b3926c93becaea7d017fcdae766d13fe056
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-20 11:22:11 -0400

    private-tubes-factory: implement handle_si_stream_request
    
    ...instead of popping into TubesChannel.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 143bdcde2369f6bd001d3b86eef15ffb20a499d3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-15 16:49:49 -0400

    private-tubes-factory: only create Tube channels for tube offers
    
    extract_tube_information has been copied verbatum from
    tubes-channel.c.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 867dea173d0c9ac876199fca0b532ff1126987d6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-15 16:41:39 -0400

    private-tubes-factory: remove Tubes channels from RCCs
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5747291212d7f6ccc92ceb4cc198a292985d203a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-15 16:41:11 -0400

    private-tubes-factory: create only Tube channels for requests
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c10809c97c20c1d3a55740f4e93eac26664b88a9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-15 16:36:42 -0400

    tube tests: remove all Chan.T.Tubes tests
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4f67d0e00694967c31ab35ab6eec0a325bc19d5d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-17 17:57:50 +0100

    configure: ignore post 0.18 deprecations so we can build against tp-glib master
    
    Gabble still uses emit_new_channels and tp_handle_{,un}ref, but for
    now we can ignore it with this. config.h had to be included in the
    right place for a lot of source files.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7667bb74e99e236c15f34b7f9266073441d3afde
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 15:11:56 +0200

    Fix a leak in: tp_handles_unref() does not unref the array

commit b7eaf004dd62f4425cc6027420533b493640d70d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 14:59:46 +0200

    Stop using tp_handle_ref/unref

commit 591ee25d44a016b38067d1f9a8772dca0fbca09c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 15:11:56 +0200

    Fix a leak in: tp_handles_unref() does not unref the array

commit df5e6d51ff66b5e84efdb1a1dfb28e584c2d5f3e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 18:44:05 +0200

    Bump telepathy-glib required version to 0.19.0

commit 13eebb3cb90c31bcb27e70958e4664174cdce621
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-01 15:17:26 +0200

    Improve ChatState test

commit 956a5f821854494228981c2b7d3095a9a0687427
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 23:24:01 +0200

    Use TpMessageMixin to implement ChatState

commit cbfa9d06a8e4cc93b15e4a8b53819638ab09d67c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 18:54:08 +0100

    Set G_MESSAGES_DEBUG during testing
    
    With recent GLib, we don't see debug messages otherwise.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49596
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 3ee4f3fe45cd9b045081532bb4213582938a00f8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 17:29:22 +0100

    Use non-deprecated TpIntset APIs
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49596
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit c4b8ceb361748495be477bd3de49ac87c1a5bb2a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 16:58:51 +0100

    Use TP_ERROR instead of deprecated TP_ERRORS
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49596
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit eda09f9123a74dcc7e1b5ad52816ff70d794dec2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 14:47:49 +0100

    Stop using deprecated debug-ansi.h
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49596
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 0b2ba1be64a70c74408919b8717457042ce23648
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-05 13:28:10 -0400

    servicetest: TextTestRunner might not be in unittest.runner
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f9fd6bebc5f8774395433dfb055b68ddd5de84de
Merge: 208a634 b8dd9b0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-05 12:49:14 -0400

    Merge branch 'shutup-servicetest'

commit 0015b83d5746ec5fab3e4205c56ec599a5726bfa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 09:49:48 +0200

    use new GLib API checking macros

commit 70aaaad2f9391453f7d8c9cb1ebad349d4b96421
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 09:44:51 +0200

    Depends on GLib 2.30
    
    telepathy-glib 0.18.0 already depends on this version so that won't change
    much in practice and it will allow us to use GLIB_VERSION_* macros
    (GLIB_VERSION_2_24 doesn't exist).

commit 7eac882fe8f48cc3145cff24fecf499b87c38f2d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 09:48:28 +0200

    gibber-unix-transport: stop defining _GNU_SOURCE
    
    config.h does it for us now.

commit b89caf381ba7a38c1ac98fe4b04a261cf62c1ad1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 09:34:41 +0200

    add missing config.h includes

commit 579eb4f247b7383d4f50f79e7802f9b48ffadf7a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 09:34:25 +0200

    include config.h in the generated gabble-enumtypes.c

commit 208a634498e965a6087c6fb59a6d220e91163faf
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 17:47:49 -0400

    start on version 0.17.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ae9e1ce5a377bcd2d19d169bdede8ca264032754
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 17:43:20 -0400

    start on version 0.16.1
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4291d1d472bc22ea1423e5ef2dc063eb1782ac15
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 17:05:53 -0400

    version 0.16.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b0112d03c77dfe4b506168ccffcc1eb4bb83d29f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 17:04:52 -0400

    NEWS: summary for 0.16.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 40322ddb3228a9687bee25ee4c85a5dffeccefe2
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 17:13:10 -0400

    configure: update dependency on tp-glib
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4d9133a523d95207699b3ede02b26e7e2c272fdd
Merge: 71dcf75 44582af
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-02 17:50:28 +0100

    Merge branch '47999-handle-ibb-errors'

commit 44582af04f111e4ba855afceb814997fce812a4e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-28 14:53:43 +0100

    bytestream-ibb: handle IQ send errors
    
    This is untested, but the existing tests still pass…
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47999

commit b8f84c653318b18c5070085e66fca011f04bcb65
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-28 14:26:12 +0100

    bytestream-ibb: correct send_data's return value.
    
    This function returns the number of messages sent, not a boolean.

commit 71dcf75998ea8a332903def7b6513df5e4e6d819
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-13 16:43:57 +0000

    New test: connect/test-connection-params.py
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43828

commit 45d81af51417a79bd2fd7c98b0980ba7e725dd5c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-13 12:16:07 +0000

    ContactList: downloading the roster at connection depends on a connection parameter
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43828

commit deb67c35893b1770533eb48c4e7ec0840afc8926
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-02-23 16:29:49 +0000

    Update dependency on telepathy-glib
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43826
    https://bugs.freedesktop.org/show_bug.cgi?id=43828

commit 687ec45023294d6003f987ff0dfc72986fdb7f46
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-01-04 14:22:02 +0000

    gabble_roster_unpublish_async: correct the source tag

commit 5d7a8f948c504b842781e99f77bebcb94bf610a0
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-01-04 14:21:42 +0000

    gabble_roster_authorize_publication_async: correct the source tag

commit 352d2da805561ec0164a6e800cd3c3e3bbc629f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 13:38:04 +0000

    Replace plugindir with an AC_ARG_VAR so it can be passed to configure
    
    This lets you configure the plugin directory:
    
        ./configure pluginexecdir='${libdir}/my-gabble-plugins'
    
    The directory-name variable has 'exec' in it because Automake installs
    unknown directory names with 'exec' in their variable name during
    "make install-exec", and other unknown directory names during
    "make install-data".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f06469da5cfc7c8dc750bce82099dde4b528a20b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 13:35:37 +0000

    Install non-ABI-stable libraries used by plugins to a private directory
    
    This avoids having Gabble and Salut, or old Gabble and a future stable
    Wocky, fight over the libwocky.so symlink.
    
    If you're building for a tightly controlled platform where Gabble and
    Salut are definitely using the same Wocky version, you can put them in the
    normal libdir with
    
        ./configure pluginexeclibdir='${libdir}'
    
    or (when Salut has been updated with this change) make them share a private
    library directory:
    
        ./configure pluginexeclibdir='${libdir}/telepathy/ytstenut-1.0'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c535a29358002b3b48c3df7bedecfbf73ab4553f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 12:42:10 +0000

    Avoid non-portable use of += in configure.ac
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b942885bb6bca2e56b1a24737fcb8cf266d9cb61
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 13:04:13 +0000

    Avoid Wocky trying to install into --prefix=NONE
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 531bffcfaf8bed572259981d4d900e7f1e42e473
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 12:41:46 +0000

    configure.ac: remove apostrophe from a help message so syntax highlighting works
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit fed5695cc026ab4076197de2a28a5f7bbe69dacb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-09 12:24:44 +0000

    telepathy-gabble.pc: link to Wocky
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c8da384dd9f311296145cdb49a2279f624502708
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-22 19:20:56 -0400

    start on 0.15.6
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b26a704c87968bc1db29a2917c2ca0bdf10ed999
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-22 19:09:06 -0400

    version 0.15.5
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b7350b195bae44bda93e767b7a8a5616c558102a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-22 18:52:51 -0400

    configure: depend on telepathy-glib 0.17.7
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b82352ce6eb3bab55e09f58ce07a3fd1d90ce319
Merge: 21ec409 27fa0aa
Author: Marco Barisione <marco@barisione.org>
Date:   2012-03-22 17:52:20 +0000

    Merge branch 'disable-voip'
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=47502
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 27fa0aa72eb61ecffb26998f535f66e4ae992ae6
Author: Marco Barisione <marco@barisione.org>
Date:   2012-03-09 08:33:54 +0000

    Allow to disable VoIP-related code with --disable-voip

commit a69250eac91ac827ff90cf8a03d6540b68a5d001
Author: Marco Barisione <marco@barisione.org>
Date:   2012-03-16 16:14:15 +0000

    There is no need to include non-compiled files in EXTRA_DIST
    
    Automake makes sure that all the source files, even if they are not
    being compiled at the moment, will be distributed when doing make dist.

commit 21ec409017f58d1ff863cc8c26d42108931ecabb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-16 14:18:25 -0400

    CallStream: Replace want_send with the local sending state of the Stream
    
    Also require the newest telepathy-glib

commit 78db4e43dcbc8e8fabe87e05a9231b3b6555116a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-16 14:17:51 -0400

    CallStream: Set local sending to true if a locally-created content wants to send

commit b9926cf5413dde094ae134a84b349e26ffeabfa4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-13 19:01:35 -0400

    Also check the sending state of non-initial streams

commit a1414b8e991a4a51bb9cc09af29f4e3b56e23289
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-13 18:44:30 -0400

    tests: Expect new contents to be pending_start receiving

commit 12e43de2942da80fb31e59ba334d5813af895fd6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-09 17:12:24 -0500

    Fix unit tests to use the Telepathy candidate types

commit 72e98283ca6a53b31f45a3fb410324bfba7ec1e1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-09 16:52:32 -0500

    Convert Telepathy types to Jingle types correctly

commit ceb7985d76f8d2c614344b4b6c68d152384b695b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-09 16:45:47 -0500

    Correctly convert JingleCandidateType to Telepathy types

commit 8bbc8e408464f65f5cc93ff18109661f297b39d8
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-09 10:29:40 -0500

    tube-iface: remove duplicated properties
    
    These wouldn't *have* to disappear, but GObject was complaining
    because GabbleTubeIface:connection was implemented in TpBaseChannel as
    type TpBaseConnection, when it was expecting a GabbleConnection.
    
    Stop crying, you baby.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0d57767b5f669d51049257bac918a98de798b9e0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-23 12:19:42 +0000

    Link plugins in the same way on Unix as on Windows
    
    Reviewed-by: Olli Salli <olli.salli@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417

commit a167423acad1bbc41d764710fbc1de4347906da6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-23 12:01:26 +0000

    Build Wocky as a version-specific shared library
    
    Reviewed-by: Olli Salli <olli.salli@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46417

commit 9a52bb20676a5290b3778cecb9d5bbc74a928db7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-23 12:29:42 +0000

    Use the standard EXEEXT variable rather than reinventing it

commit b8dd9b07c8a90a84bccc0cb348c5801a29d6c68b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-03-07 15:28:14 -0500

    servicetest: silence unittest
    
    The output when running all the tests is made really ugly by this
    appearing out of nowhere. Only print the unittest stuff if
    CHECK_TWISTED_VERBOSE is set.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0a7c66f48e2a4f5f1b80237def4063fa952ccc71
Merge: 52fac35 c8f08ce
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-01 17:07:08 +0000

    Merge branch 'detp-jingle'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46513
    
    Conflicts:
    	src/ft-channel.c

commit 52fac3507be8db06a9e1ae1b7a3c98a28d02da44
Merge: 10785ff 491db17
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-29 15:02:55 -0500

    Merge branch 'base-channels'
    
    Conflicts:
    	src/Makefile.am
    	src/tube-dbus.c
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c8f08ceb6e7f44303d1950a565e47f170129e524
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-29 13:22:22 +0000

    CallStream style: add a missing blank line.

commit de5eb4bebefa0d68d7ec081ed5845479c5aeae9e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-29 13:20:50 +0000

    JingleMint: rename ::new-session to ::incoming-session
    
    This is Simon's idea, and it's a good one. It makes it clearly a
    different signal to JingleFactory::new-session, too.

commit f6d4a38fc058300dc2422f61f469ed6a86697ed8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-29 13:14:05 +0000

    JingleInfo: chain up at the end of dispose
    
    Simon noticed:
    
    > Surely dispose should chain up at the end, not the beginning? I see
    > dispose and finalize as progressively breaking the functionality of
    > the object's classes, most-derived first.
    
    Yup!

commit cdc02ea04db52b24d84be250893b3bdc750baafe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-29 13:12:47 +0000

    JingleSession: don't leak in initiate/accept callbacks
    
    Simon noticed:
    
    > "Send session-{initiate,accept} IQs using porter directly.",
    > 72ea73343252: I think you're leaking sess in the callbacks, except in
    > the early-return cases where the state has become inappropriate?
    
    He's quite right.

commit 10785ffc0e61d98d6bc23b5281872d7268b3a3a1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-02-29 11:26:31 +0100

    Include config.h to have GLIB_DISABLE_DEPRECATION_WARNINGS defined

commit a6ef0c0b9d2747baaaa049a6c441da7b94d65265
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-23 12:59:29 +0000

    JingleSession: make _new() take a dialect.
    
    Everywhere that creates a new session knows the dialect it wants to use,
    so let's pass it right into the constructor.

commit da9f352766edf270c907421ea610549593c46325
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-20 15:24:12 +0000

    Represent Jingle relays by a struct, not an aa{sv}
    
    This has the dual benefits of removing Telepathy data structures from
    google-relay.c, and of simplifying the use of these structures in
    gtalk-file-collection.c.

commit 089a5f2de461d90f9089a68dc11ada1cfc6f58b1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-20 12:35:02 +0000

    Jingle*: stop including util.h

commit ae1d315c9bae65a5dd9c1eacbdcda1aa2ec6408f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-20 12:32:12 +0000

    JingleFactory: drop use of gabble_signal_connect_weak()
    
    Wocky doesn't have an equivalent of this function. It's relatively
    little work to explicitly disconnect from the sessions' ::query-cap
    signals, so let's do that.

commit ca86afb5cde89cc1832ed002a59cef6f51916ef4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 19:19:44 +0000

    Remove unused JingleInitiator type.
    
    It would actually be better if a two-element version of this without the
    INVALID element had been used throughout rather than booleans to
    represent the direction of a session… but oh well.

commit d88193074f1f1d9f4d618932821dbab36a474182
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 19:07:19 +0000

    Move Jingle enums and typedefs to a new jingle-types.h
    
    For some reason the enums lived in jingle-factory.h before.
    
    We do need a separate header for the typedefs because some of the Jingle
    headers are mutually dependent.

commit ac9ee4a66f56f8c033f150eb5c8a4a9999e475e3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 19:10:27 +0000

    JingleFactory: correct TpChannelGroupChangeReason reference

commit 003e72bc1d8cf70aa595f036ebcfb7e2a542efbb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:55:27 +0000

    JingleFactory: drop GabbleConnection dependency.
    
    So with this patch, GabbleJingleFactory takes a construct-time
    WockySession property rather than a GabbleConnection; GabbleJingleMint
    only creats the factory when the porter (and hence session) becomes
    available.
    
    With this, we've removed the core Jingle code's last significant
    Gabble/Telepathy dependency.

commit 745b27e041cb9db5b6a1eb920fdaf480a65d4762
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:35:05 +0000

    JingleFactory: store WockySession as well as Porter
    
    This makes ::porter-available the only place in jingle-factory.c which
    uses the connection non-trivially, laying the ground for removing it…

commit 081f2e7776614e6e8147909c0e5ab9593a85f2dd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:28:08 +0000

    JingleFactory: propagate caps queries out to Mint

commit 4a27eccf389050be52eb4701263e832634fe63ca
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:22:01 +0000

    JingleFactory: move pre-initiate presence pushes to Mint

commit 035f99f9c5ea8dbff493555921b6056756106215
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:18:44 +0000

    JingleFactory: emit ::new-session for outgoing sessions too

commit 46c47589c95f923453b9f4e3fe4aa6d648e8447b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 18:11:12 +0000

    JingleFactory: explain why create_session() can't emit new-session

commit ad631083a88dfdea01b2a9957eeff9594a97ed7b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 17:55:21 +0000

    JingleFactory: move connection status monitoring to Mint

commit b6ff8bff994babae4afb0e00b8d388b2c37cff8b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 17:49:12 +0000

    JingleFactory: call stop() from dispose()
    
    This is currently redundant, but will prevent crashing in a hypothetical
    situation where the factory gets disposed without anyone calling stop()
    on it first.

commit 3676e46472aad8a8205cf8618a15b45d07690e2e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 17:47:48 +0000

    JingleFactory: refactor handler-unregistration to a method
    
    This will be used by the mint to stop the factory accepting new incoming
    sessions when the connection starts disconnecting.

commit 618234580dcb23f076d0cc75b69f2cbcc92b96a6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 17:42:19 +0000

    Wrap JingleFactory in a new class, JingleMint.
    
    The intention is to move all Gabble-specific code into JingleMint,
    leaving only the pure angle-bracket distillate behind in JingleFactory,
    which can then be moved to Wocky. But as of this commit, JingleMint is
    basically an empty shell: it immediately creates a JingleFactory, and
    proxies its ::new-session signal.
    
    As described in the comments, “mint” is meant in the “factory which
    makes coins” sense. It seemed like a better name than
    JingleFactoryFactory.

commit 8b958fc8c845755832b44e00ffb30e235c82994e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 17:32:14 +0000

    JingleFactory: add _new() method

commit 77d5d99e9b608d080cc46c523880eccdc1d5360c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 13:59:35 +0000

    JingleFactory: correct ::new-session's signature
    
    GabbleJingleSessions are not mere pointers: they are objects!

commit f40f6c4db3079aa7b4befe70c8a709d49144cc6f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 12:07:07 +0000

    Split Telepathy<->Jingle enum mapping out of Jingle code

commit 51ec259c494d42c30adfb982646eda2805b2ec3d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 11:56:35 +0000

    JingleMediaRtp: drop use of TP_ERRORS
    
    Depending on whether an illegal codec update comes from the network or
    from the local system, we end up wanting either a WOCKY_XMPP_ERROR or a
    TP_ERROR (to throw back over the wire or in a D-Bus method error,
    respectively). Previously, this choice was made inside JingleMediaRtp;
    this patch moves the conversion out to GabbleMediaStream. (The Call
    codepaths all pass NULL for the GError **... great.)

commit 729d3f4f06eba69e499805b004383aba521c7a35
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 10:41:17 +0000

    Jingle*: spell out tp_clear_{boxed,pointer}
    
    Wocky doesn't have things like this. GLib, however, does have
    g_clear_object() so we can use that in place of tp_clear_object.

commit feb1266ce56e12359a9f2d6ff2325acd0c3a8b56
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 10:28:27 +0000

    JingleSession: spell out tp_str_empty()
    
    Wocky doesn't have an equivalent function.

commit b1be04b448e5860f7cadc27ac7a20a81367f4b3a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-17 10:26:53 +0000

    Jingle*: use wocky_strdiff rather than tp_strdiff

commit 10f9eccfb8e3e1e8f88315b41e6a60a26185db26
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 20:00:23 +0000

    JingleSession: remove GabbleConnection property.

commit dada0afc57d852209a78494c3af12e3704790f1c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 19:48:01 +0000

    JingleSession: move pre-initiate presence pushes to Factory
    
    This change has the same rationale as the previous.

commit 78629e08e943bcca2a0d28648c853f5ac50e93b5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 18:02:50 +0000

    JingleSession: delegate capability queries to factory
    
    The two remaining bits of code that use GabbleConnection inside
    GabbleJingleSession use the caps cache and the roster. There is really
    no good code for these inside Wocky just now (well, WockyRoster exists,
    but it's not what Gabble uses so the point is moot).
    
    I've resigned myself to the fact that GabbleJingleFactory will have to
    stick around in some form—not least to listen for ::porter-available,
    and also to dig stun server parameters out of GabbleConnection. So I
    think the best path to breaking GabbleJingleSession's Gabble addiction
    is to add some signals which get handled by the Gabble-specific remnants
    of the JingleFactory.
    
    Meanwhile, I noticed that the caps-checking code didn't actually work
    for the bare-JID case, so fixed that up while moving the code.

commit 28f25af9b2f95103bacb3ab3a005b6cb102950fc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 17:36:48 +0000

    JingleSession: get own full JID from porter.

commit e1a08344fcfaac717bd533c7ea990f82b3c3732d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 17:34:38 +0000

    JingleSession: add a porter property.

commit fd17643d8495e4f3fe87fe3660f7008ee1953eb7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 17:26:31 +0000

    JingleFactory: pass self to JingleSession
    
    This avoids the JingleSession having to go via its GabbleConnection to
    get back to the JingleFactory which created it.

commit 39b90872eb4939ba4b4262ababc7ae54743fa465
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 16:04:47 +0000

    JingleContent: don't store a GabbleConnection.

commit 41c4e316f12c7bbd285702ca74e3e4c2d7af6ee2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 16:27:16 +0000

    CallStream: don't grab Connection from JingleContent.

commit 2863cdcee0c4d464a0f15f587e20f3a8f67c5014
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 16:03:06 +0000

    MediaStream: don't grab Connection from JingleContent.
    
    Previously, GabbleMediaStream was getting to the JingleFactory for its
    content via the connection object stored by the content. Instead, go via
    the JingleSession stored by the content (so that we can stop storing the
    connection in the content).

commit 679cfd663064781d1ca60d5ed8dae8cab85cb594
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 16:21:06 +0000

    MediaStream: add a TpDBusDaemon property.
    
    Previously it was retrieved from the JingleContent, via the
    GabbleConnection it stores. But the Jingle code shouldn't know anything
    about Telepathy.

commit 5410295679bb8ff4a0aad3eb38cc5717124fb5c5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 15:41:11 +0000

    JingleFactory: remove prototype for long-dead function.
    
    I removed _jingle_factory_unregister_session() way back in 2009 with
    commit fd410e9.

commit a101f15d96f43c4a5c3da10d6acf485ad22bafa9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 13:11:57 +0000

    JingleSession: remove unused handle-repo-dynamic import.

commit 570ad5f69f99f4eace580998d0e5df76f100e74f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-23 12:36:36 +0000

    JingleInfo: don't crash when disconnecting before reply.
    
    For some reason I can't quite discern, this didn't crash before the
    previous patch but does afterwards. Oh well. Here's a fix.

commit 51767ee2ec4423c00199fe4e0411f0b83d61aa2f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 11:21:40 +0000

    Split google:jingleinfo code out from JingleFactory
    
    I am a terrible person and included a couple of changes in this which
    are not just moving code around:
    
    • When parsing STUN server info out of a jingle:info stanza, we no
      longer use GABBLE_PARAMS_DEFAULT_STUN_PORT as the default if the
      <server> element does not have a udp='' attribute. (Which seems
      uncontroversial: if the server erroneously leaves out that attribute,
      the chances of it happening to listen on
      GABBLE_PARAMS_DEFAULT_STUN_PORT is pretty low.)
    
    • Rather than using conn_util_send_iq_async(), we use
      wocky_porter_send_iq_async() plus wocky_stanza_extract_errors() to
      send the jingleinfo request. Wocky doesn't have something like
      conn_util_send_iq_async(), and this branch is really about removing
      Gabble dependencies from the Jingle code.

commit f2b8df3800135b115bd801921a626bc7edde90e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 15:56:26 +0000

    JingleFactory: store WockyPorter

commit 90b7b2911a76ed9335d161d88fd6a7dd7a2ba41e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 15:42:21 +0000

    gabble_jingle_session_send: drop callback arguments.
    
    Since nothing uses the weak_object argument any more, we can drop it,
    and hence stop using _gabble_connection_send_with_reply() in favour of
    wocky_porter_send_iq_async() directly. One less bit of Gabble inside the
    Jingle code!

commit 72ea73343252d8ac6b792f9f4035cd511290a33d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 15:41:40 +0000

    Send session-{initiate,accept} IQs using porter directly.
    
    This is the second and final place where the callback arguments to
    gabble_jingle_session_send() were used.

commit a2e03f323dcb96d3043baef52a04eb41f22c6440
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 15:40:22 +0000

    Content: use porter directly to send content-remove
    
    This is one of only two places which passes a callback to
    gabble_jingle_session_send(), so let's just spell it out.

commit d039d1900888a828e2fc686c331cdfcaca8931ef
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 15:12:04 +0000

    Session: tolerate being outlived by contents
    
    Never disconnecting these signals happens to be safe because
    GabbleJingleSession always holds the last reference to
    GabbleJingleContent, but it feels fragile.

commit 91e8bc6b3a74cfdf2aaf685fc8883f3344c4e228
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 12:56:23 +0000

    Jingle transports: stop using GabbleConnection

commit 534bfa15133ead76a46a22f9f8e788c159fb2541
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 12:48:08 +0000

    JingleSession: add and use factory accessor.

commit 8080a905390ad9ca51059db15277930af6cc6bae
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 12:06:15 +0000

    JingleSession: localize use of peer handle.
    
    Now that we only use a handle in one place, let's move everything to do
    with it there.

commit 1dbbf70e672bcccef88c19b66ebb47bf4897a7fa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 12:04:30 +0000

    JingleSession: remove "peer" GObject property.

commit bd654d2d812a1d5edae9796a20fca0b81dbfbaf7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 12:02:32 +0000

    JingleSession: remove get_peer_handle.
    
    The session unfortunately still uses the handle internally…

commit a15ae7cf17528dd7a0d24386025cfe450c93cda2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 11:59:50 +0000

    media-factory: stop using gabble_jingle_session_get_peer_handle

commit 7f40e47b980f917fa01d8d1f1012e4fb5a6f1559
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-15 11:54:10 +0000

    ft-manager: stop using gabble_jingle_session_get_peer_handle

commit b8ac1245d91828644f8ef37a9d107a12ae087275
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-14 18:00:52 +0000

    Call: stop using gabble_jingle_session_get_peer_handle

commit 363b2c580cb5500979020221b74e4889c59f93c2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-07 11:55:42 +0000

    MediaChannel: store peer's handle.
    
    This removes its dependency on GabbleJingleSession knowing about
    handles, and is less code.

commit d884caf42e3e4608b5db84a6d1411c67aa9db925
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 17:38:09 +0100

    MediaChannel: use gabble_jingle_session_get_peer_handle()
    
    Previously for some reason this was using g_object_get (..., "peer").
    Calling a function instead makes it easier to see what needs changing.

commit 819be150a66f99a1be524f31e0c8985aa613553d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:29:58 +0000

    JingleSession: look up presence by WockyContact.

commit ca9f3991776c9c277178f88c51941b6cad09800a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:27:31 +0000

    PresenceCache: add WockyContact-based lookup.

commit c5328de7a89e2882036b64ba19a2c5bc3e8e70ce
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-07 19:26:01 +0000

    util: add helper to fetch TpHandle for WockyContact

commit 97d9c5ae3afc425eb8db91cbe83c37289e1baa5d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 15:21:34 +0000

    JingleMediaRTP: use jingle_session_peer_has_cap()
    
    The body of content_has_cap() is basically identical to the body of
    gabble_jingle_session_peer_has_cap(), so let's delete the former.

commit 63ade9c2226b72739b53039e26a31b483162aba5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-16 15:15:56 +0000

    JingleSession: rename _peer_has_quirk to _peer_has_cap
    
    There's nothing quirk-specific about the function.

commit 8bd15af6cae7e90c97b81690a44bd2e43e1ab5e8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:25:24 +0000

    JingleFactory: stop dabbling in handles.

commit bc53ec13c956191ab00cdf29236effac6d98651e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:18:11 +0000

    JingleSession: remove defunct handle refcounting

commit 2ad876aee650c4977f214a6d14b6852e164a6a82
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:15:34 +0000

    JingleSession: grab resource from WockyResourceContact

commit 439380da7a6a49f5e5255dcf691c24f3aec669ad
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 16:11:19 +0000

    JingleSession: hold a WockyContact.

commit b516378e41944381ccea6f29821ce7ac41a4cada
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-03 15:40:02 +0000

    JingleFactory: exclude handle from session map keys
    
    The handle doesn't provide any additional information over the JID; it
    is a relic of when the format was "<handle>\n<resource>\n<session id>".

commit 512c7492c2cb925e0260043a89170cda0907566c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 16:55:46 +0000

    JingleSession: move TpHandle peer to private structure

commit 1fc97cba57211fa8075c08ed63d882950b0d9451
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-13 13:25:25 +0100

    groups.py: test RenameGroup()
    
    This has been started as a regression test for fdo#45982 which turned to be a
    tp-glib bug. So we shouldn't merge this commit to master until we depend on a
    fixed tp-glib.

commit f6eda33b8127fd18a81495c221fed4ac57eba37e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-13 11:51:11 +0100

    groups.py: factor out send_roster_push()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45982

commit 40283718ad184b014f4941a3126e5dfa0ed0640c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-13 11:43:17 +0100

    groups.py: factor out parse_roster_change_request()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45982

commit dcc73750bceb0e7b1bd865fde5744583cb75300c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 21:59:58 +0000

    Nano version

commit 04c7829858da40f943363cfc3e61aa76f68c59ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 21:02:10 +0000

    Distribute jingle/call_helper.py too

commit c59a2f0b3612ba830154156279d0c6e03daf1e5c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 20:31:25 +0000

    Distribute headers more normally, and stop trying to distribute gabble/debug.h
    
    There is no gabble/debug.h. The only effect of putting a .h file
    in SOURCES is to get it included in the distribution tarball, so this
    wasn't visible until we tried to make a release, and apparently nobody
    runs distcheck any more or something.

commit 920b112a30b0c0f86d150d5fa6aa07779f22c50a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 19:44:54 +0000

    Update telepathy.am from telepathy-glib 0.17.5 to fix out-of-tree releases

commit 5cb548e7650846ae51142e8d9464de693775ffe0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 19:41:30 +0000

    Prepare 0.15.4

commit 8d7efad30c8633d6df4a0635eb7f78f2fa326e9a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-21 16:56:09 +0100

    accept-*-stream-tube.py: don't test with Credentials access control
    
    It fails on recent Linux because of Twisted; see fdo #45443.

commit ce467279e0df62ef43ccf30a2724323f2290aac9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 13:30:40 +0000

    Update Wocky for #46379

commit b2bf243653dfd394648913cca94f379fc09bb71a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-01-18 15:22:51 +0100

    presence-cache: hardcode gtalk's bot caps
    
    Thanks Google for not implementing disco query on the bot...
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44855

commit 205df6480b16d66cf74144b37b197251678a565d
Merge: 3d6ba70 b40042c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-21 10:18:53 +0100

    Merge branch 'call1' into master+call1
    
    I added the dependency on tp-glib 0.17.5 as it's required for Call1.
    
    Conflicts:
    	src/Makefile.am

commit 3d6ba70935c402e1e2b39716ca6014c22aa1520e
Merge: 571037b 299ab6d
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   2012-02-20 15:49:04 +0200

    Merge remote-tracking branch 'siraj/plugin-api-update'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit b40042c598476bc14f578b1d121c14eb9da59c3e
Merge: 2aff6d0 7a0e8d7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-20 10:51:16 +0100

    Merge remote-tracking branch 'tester/call1-addcontent-direction' into call1
    
    Conflicts:
    	tests/twisted/jingle/call-dtmf.py

commit 299ab6dbdd3fb0e290b57201c92bdf1b46b58aa3
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-02-17 16:16:00 -0500

    test-plugin: Remove the duplicate TpBaseConnection
    
    Gabble and Salut Plugin API was updated to remove the dupliate
    TpBaseconnection from create_channel_managers. This patch updates
    the plugin-base to match the API change

commit e651270a8a58da63e3f6fe739a6491942604cea5
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-02-17 15:35:49 -0500

    plugins: Remove the dupliate TpBaseConnection from create_channel_managers
    
    create_channel_managers already passes a GabblePluginConnection which
    can be casted into TpBaseConnection. So removing the duplicate TpBaseConnection
    pointer from the API

commit 2aff6d0ac4102835c5e125850eef6062011d910d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-16 16:55:05 -0500

    tests: the SendingTones signal now only happens when actually sending tones

commit 9a90f92a6a4f50b33800ca2885efeb7785ad94ca
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-16 16:54:36 -0500

    tests: Correct the order of the DTMFChangeRequested signal according to the spec

commit 7a0e8d7f6edf24c96857a72af39940b555a1cf8c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-16 16:19:28 -0500

    Add a direction parameter to AddContent

commit 491db173ad4da5ce4f5ff8d90d1a7ea20aed7785
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-14 18:54:37 -0500

    tube-stream: subclass TpBaseChannel
    
    See also: exactly the same commit to GabbleTubeDBus.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit efbde4c8755e1bf55752ddb170d80a122f482afa
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-03 19:44:09 -0500

    tube-dbus: subclass TpBaseChannel
    
    This one is complicated because the old GabbleTubeDBus handled both
    TargetHandleType as Contact *and* Room. TpBaseChannel sets the
    TargetHandleType per class so makes this hard. The easiest way to do
    this is to have a really dummy subclass for MUCs to change the
    TargetHandleType (and interfaces, to add Group).
    
    It would be nice in future to move the actual MUC stuff into
    GabbleMucTubeDbus, but that's for another day.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 571037bf029f2cd46f85a50d7d2b0892ae50be10
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-09 18:39:19 +0100

    Disable GLib deprecation warnings

commit 8b537d968d0fb0047d9143ab05ce5a5bc2c4a1d7
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-02-09 08:13:53 -0300

    Fixed android build after plugin API refactor
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45824

commit e3ddd734e9c9c711ad44837b6d1f548718b0fbbf
Merge: 359a1ae 07c6ad3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-08 14:16:47 +0100

    Merge remote-tracking branch 'nicolas/call1' into call1

commit 07c6ad32bbfc377c7fe09cb6e5bc8c0ce10ef464
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 14:00:47 +0100

    Remove unwanted debug print in call-content-adding-removal

commit ee5304dc3ed64d11670d53b9068a69ff1df598c2
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 14:00:27 +0100

    Add missing call test into makefile list

commit 2e543e74a65f9cb2da584f35d2348b6b57fabd78
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:25:20 +0100

    Implement a call version of content-adding-removal

commit daa6d7252861dbb9c7951330d413975573d45b89
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:24:57 +0100

    Remove now unused advertise_call helper

commit ba58cf5e5784e51c4c311d4c4a273bd383ee7173
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:24:33 +0100

    Remove unused header in call-muc

commit c33c3060db31e3d6578a00ea2a611181a760e062
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:24:16 +0100

    Port call-hold-av test to CallTest

commit 7f27e6ffcb7f67f5e3c624015f28082852fee9a5
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:24:05 +0100

    Port call-hold-audio test to CallTest

commit d3864c978337e6bff417b48e2f51844030b8365d
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:23:48 +0100

    Port call-google-relay test to CallTest

commit 9bd7bc624705ffc897225027cc47c2ed5ee0d339
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:23:24 +0100

    Port call-dtmf test to CallTest

commit 8e8501ce2b8d843b42254cb87e0f67d540006005
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:23:14 +0100

    Port call-dtmf-no-audio test to CallTest

commit 4da073f860d3d994b614d0c8bb33dceaa8e4f0a9
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:22:50 +0100

    Remove uneeded header in call-codecoffer

commit 729a6e979e0b302ccd3d582549118c3787bd3b7b
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:22:26 +0100

    Port call-basics test to CallTest

commit 00a76e3668c2c10ab2b3cceaf6cc4e1a3eb70c97
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-08 11:21:33 +0100

    Add CallTest base class
    
    This base class can be use to greatly reduce Call test code size

commit 0c9c11eee409aba15c58d9e91ab7d8f0eb1b7c7b
Author: Olli Salli <ollisal@gmail.com>
Date:   2012-02-07 18:37:47 +0200

    Only pass -fPIC cflag to submodules if compiler doesn't warn or error from it
    
    Reviewed-by: Siraj Razick <siraj.razick@collabora.co.uk>

commit 5c780cf06292a80271bbe5a35d5d10a9eba5e8d2
Author: Olli Salli <ollisal@gmail.com>
Date:   2012-02-07 15:28:26 +0200

    Update NEWS

commit 5ed3540f9321fed01df2729a37477f219ab1b9cb
Author: Olli Salli <ollisal@gmail.com>
Date:   2012-02-07 15:02:14 +0200

    Compile submodules with -fPIC to fix gabble-plugins.so link on linux/x86_64
    
    Reviewed-by: Simon McVittie (smcv) <simon.mcvittie@collabora.co.uk>

commit 415706b45a63915dcd442fab7364a6d9ade1d79c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-07 13:40:11 +0100

    call: Fix last content remove special case
    
    when the last content in a session is removed, the XEP says the
    content-remove signal must be replaced with session-terminated. This case
    is handled in gabble_jingle_session_remove_content, but call was bypassing
    it by using gabble_jingle_content_remove() directly.

commit 82d8ca3198eef823c7bfca836e537926ebc49149
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-07 13:38:20 +0100

    Add CallStreamComponent enum in constants

commit 0e697dc4f035d78efc27a652efa8c5c3bdaf52a2
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-07 13:37:59 +0100

    Add CallStateChangeReason enum in constants

commit 78b6994fab54d317f77bbfdcfc47446ed4ba3701
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-02-07 13:37:21 +0100

    jingle: Fix comment typo

commit 359a1ae278a9c33dd0bc41394912166ac2b5ecda
Merge: e073905 b33adc6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-06 17:47:58 +0000

    Merge branch 'master' into call1
    
    Conflicts:
    	src/Makefile.am
    
    For reasons I don't fully understand (presumably headers moving around
    a bit?) I had to add includes of <telepathy-glib/gtypes.h> or
    <telepathy-glib/interfaces.h> to:
    
    • src/call-content.c
    • src/private-tubes-factory.c
    • src/protocol.c
    • src/util.c
    
    But otherwise this has been an uneventful merge!

commit 0c0dccb8135ca48e4222a408043dc93b3fcf4a98
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-25 16:32:32 -0500

    Windows specfic changes to produce plugins as dll's
    
    Using -module doesn't produce .dll files when compiling for windows
    These changes enable us to output .dll files for plugins.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44649

commit f54da139bb483fce675d6f11bfc000ec2d6732aa
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-13 11:32:48 -0500

    fd.o#44649 - Gabble plugin API symbols should be factored out to a separate library
    
    This patch refactors gabble connection by introducing a new GInterface
    which the plugins will link agaist. And GabbleConnection implements the
    new Interface.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44649

commit bb63a668664a2003c966b7e3d9806c98d0875bf5
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-02-06 11:02:19 -0500

    Change the plugin API to create_sidecar_async and create_sidecar_finish
    
    All gabble plugins should implement these two methods hereafter.
    This patch also updates all the internal plugins to use this new API.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44331

commit b33adc647bf4e6dc75efba1abd74380d4bbb18d1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-06 15:22:43 +0000

    Update Wocky snapshot for DEBUG_* namespacing

commit 87841786d0ed60fb093c3343e185805db500de7a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-06 14:40:36 +0000

    NEWS for single-header Wocky.

commit ee48ee9a8c440bbd0c1efa49fc9cd346a92883d3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 16:09:56 +0000

    Update Wocky snapshot for One Big Header.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=27489

commit 3e0c8b55b81207f7842495b4ab9f59f0de655ae3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-03 14:31:13 -0500

    ft-channel: subclass TpBaseChannel
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ab745cbdead64a313fe3e8859cec5bf7c4382dc9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-01 16:07:25 -0500

    Revert "Merge remote-tracking branch 'siraj/plugin-api-change'"
    
    This reverts commit bf805ba0b2ecced81e5c2830a79d021a42da91a7, reversing
    changes made to 1296a2f5ce46e77787ca42eadb1c2ca4a957a09b.

commit 1d41beb99b03f828fd204e6e18fa7499360937b9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-01 16:07:06 -0500

    Revert "Merge remote-tracking branch 'siraj/windows-compile-fix'"
    
    This reverts commit a687785628216f8f73c699096e9aae4a07b811c6, reversing
    changes made to bf805ba0b2ecced81e5c2830a79d021a42da91a7.

commit a687785628216f8f73c699096e9aae4a07b811c6
Merge: bf805ba e4cccf0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-01 13:54:00 -0500

    Merge remote-tracking branch 'siraj/windows-compile-fix'
    
    Conflicts:
    	lib/loudmouth/Makefile.am
    	plugins/console.c
    	src/Makefile.am
    	src/connection.c
    	src/error.c
    	src/plugin-loader.c
    	src/plugin.c
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bf805ba0b2ecced81e5c2830a79d021a42da91a7
Merge: 1296a2f 026e84f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-02-01 13:40:56 -0500

    Merge remote-tracking branch 'siraj/plugin-api-change'
    
    Conflicts:
    	lib/loudmouth/Makefile.am
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e4cccf0a604c7cdf1107aa9b5d9cdaa996bcc702
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-25 16:32:32 -0500

    Windows specfic changes to produce plugins as dll's
    
    Using -module doesn't produce .dll files when compiling for windows
    These changes enable us to output .dll files for plugins.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44649

commit 1296a2f5ce46e77787ca42eadb1c2ca4a957a09b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 12:49:04 +0000

    NEWS for <presence type=error/> improvement

commit e7fbb73258ab0eb00eb239f277ae5ad4ed0f9ee5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 11:16:51 +0000

    Presence: show better error status messages.
    
    When you get <presence type='error'>, any <status/> element in the
    presence is an echo of a stanza you sent out. So the message in that is
    not the contact's presence: it's either your status, or maybe the
    message you sent with a subscription request, depending on whether we
    got the <presence type='error'/> for a roster contact or someone we
    tried to subscribe to.
    
    So instead, I think we should use the text of the error (if any) as the
    status for such contacts, falling back to the error element name if the
    server is unkind and doesn't include an error message. Yes, this means
    strings will show up in the UI in the server's locale, but this is
    hardly news.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45491
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit cdcbaaa7a6e2b1056be96dda77d8a8363f78539d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 11:30:01 +0000

    NEWS for deLoudmouthing etc.

commit de0f8a21f82234e1fcc2a84994b07dc2bf1cc45a
Merge: fbf798b c0a4dca
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 11:22:50 +0000

    Merge branch 'unhandled-iqs'
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=34975
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit fbf798b5fce94bc932fde45bc5579652acb05cd7
Merge: 281673e 6c68414
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-01 11:21:36 +0000

    Merge branch 'node-iter-get-child-with-namespace'
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=33911
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c0a4dca930b1e43d716df1295545fbf1856dae1a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-31 15:15:04 +0000

    send_with_reply: remove stale reference to iq_unknown_cb

commit d8feabf6ef67e5b7e5b0a4d01ef983bea877f0b5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-31 17:15:28 +0000

    Connection: rely on Wocky replying to unhandled IQs.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=34975

commit 6c684143294c9dc2becc3af0887f907c760bf8af
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 17:29:09 +0000

    conn-olpc: give _get_child_with_namespace a clearer name.

commit d8a2087662fe895eef24296fab7755c5b5ead197
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 17:27:17 +0000

    conn-olpc: adopt lm_message_node_get_child_with_namespace
    
    This is now only used within this code, and I am too scared of breaking
    code I know nothing about to stop using it here too, so I'm just going
    to leave it here, probably with a new name.

commit 7b258fc5ea423927878cd63e6f0a01ffe11d2869
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 17:23:32 +0000

    conn-aliasing: use <item> passed to ::changed handler.

commit 821409f5203dc6b640ef6e0c00e0c343facc3a82
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 17:21:30 +0000

    Update Wocky submodule for PepService changes
    
    This new snapshot changes WockyPepService to provide a pointer to the
    <item/> node in wocky_pep_service_get_finish() and
    WockyPepService::changed.
    
    This commit only updates conn-location.c to actually take advantage of
    it, but soon…

commit 8601d29953e44416e5413c8e8053f980397f04b3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 15:26:01 +0000

    location: stop using lm_message_node_get_child_with_namespace()
    
    The test change illustrates the problem with using
    lm_message_node_get_child_with_namespace(): the test suite was sending
    a broken stanza, and we still accepted it. It should have sent:
    
      <iq type=result>
        <pubsub>
          <items>
            <item>
              <geoloc>
    
    But instead it sent:
    
      <iq type=result>
        <pubsub>
        <items>
          <item>
            <geoloc>
    
    This patch would be smaller if
    <https://bugs.freedesktop.org/show_bug.cgi?id=45400> were fixed.

commit 3403ab38582559b2293feb17f69f2df90e6ed229
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 14:58:32 +0000

    tubes: stop using lm_message_node_get_child_with_namespace
    
    These cases weren't completely obvious to me, being unfamiliar with the
    tubes protocol. But they all wanted to be wocky_node_get_child_ns()
    too, really.

commit 603aeb65562002ca1aa6273acf8580f88486e345
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-30 14:31:46 +0000

    ft-channel: spell out finding <si><file> node.

commit aa11a7ed781c48ffda4d00f303776603d2f6ada5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 10:47:32 +0000

    _grab_nickname: use wocky_node_get_child_ns
    
    This is called on a variety of nodes from different stanza types, but in
    all cases (as far as I can tell) the <nick/> element is a direct child
    of 'node'.

commit 2db196ba241a2a22fd07ef6aa97ca9b559c26934
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 10:32:42 +0000

    presence: explicitly hunt for privacy list node.

commit bd3c28af3b96bf73256e8e0fc42470f0cf43039e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 10:17:54 +0000

    Replace trivial uses of lm_message_node_get_child_with_namespace
    
    These are the cases where it was relatively quickly apparent to me that
    we only needed a direct child, not a deeper descendent.

commit 5d91fadfb646437363c9f1e60f1deb279b09e180
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:59:21 +0000

    util: remove node_iter

commit 25980c6c7f70e2d3ff7d012b8e3a6a7cbed644e8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:58:13 +0000

    bytestream-socks5: remove degenerate node_iter use.

commit 12a2a93c80a33723fdc6bfc031850b20e462b1b6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:56:00 +0000

    disco: move to WockyNodeIter

commit 582a4e1fa932a81397c9b47992ceec673fe62419
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:51:34 +0000

    conn-*: move to WockyNodeIter

commit 48175abc011072b8c4e5fb4c01342f71ab33a982
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:50:53 +0000

    conn-olpc: use WockyNodeIter
    
    The huge change is just reindenting the body of that loop inside an if
    block. There's no clean way to initialize a WockyNodeIter to be empty if
    your starting node is NULL.

commit 50d3ef27080c66f95fa254f7c39fcc1f2c8b6d4b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:42:59 +0000

    tubes: move to WockyNodeIter

commit d61893c1abc031c9179a6b7565ba5d55075d1b8e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:41:08 +0000

    muc: move to WockyNodeIter

commit 5a7f08a3c78e8f4e33d3ddcf0a4450ae69cb92fd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:38:37 +0000

    roster: move to WockyNodeIter

commit 1c53458f88e5aa97b47640a58e41b1db46b0092b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:35:58 +0000

    vcard-manager: move to WockyNodeIter

commit ca262307fcbd3cf9bf6cd5b6e2268fcfa4badac4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 09:33:20 +0000

    Connection: move to WockyNodeIter

commit c1d1d52bb4ab166a4df0ac5c46e46257698db5f0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 23:40:10 +0000

    search: move to WockyNodeIter
    
    In one place, I actually replaced a confusing use of NodeIter with
    wocky_node_get_content_from_child(). I think the result is much clearer.

commit dd33dbffeefd72d3db74569d59f4975001e554d9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 23:37:17 +0000

    Jingle: migrate to WockyNodeIter

commit c2c973e622f77d30a3d5cecf8ca2308dcb291b51
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 23:29:19 +0000

    bytestream-factory: move to WockyNodeIter

commit c7ee7f1ea0d9f0898679f892ce42a583967108e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:55:40 +0000

    util: remove unused wocky_node_get_attribute_with_namespace

commit 051d07d18a364c054d6f5ff50c8636281198fba2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:54:46 +0000

    disco: use wocky_node_get_child_ns

commit 32ab1ebc7d68611187a15f545f82af8dd2399c0b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:53:25 +0000

    search-channel: stop using lm_message_node_get_child_with_namespace
    
    In all cases, we wanted a direct child.

commit 9dc5bfd7a376277180cecf9a77cf0882d3e6d292
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:53:10 +0000

    message-util: stop using lm_message_node_get_child_with_namespace
    
    In every case, we wanted a direct child of some node.

commit 383a34f1b2c2405c9b940f0024fe9ca92754dee7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:52:55 +0000

    util: explain why lm_message_node_get_child_with_namespace is bad

commit 281673e30aa5012ec3425a59fddcb24d8c2ac18b
Merge: c2279a6 14732bf
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-31 17:18:13 +0000

    Merge branch 'quietmouth'

commit c2279a6b7dda2060e198d5407f22228d2c3be9ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-26 19:00:24 +0000

    Fix a typo

commit 5d7c87b1c753558c8c2525623a88103c1084fe2a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-31 11:25:51 +0000

    tubetestutil: clear list in a way that doesn't make it a local variable

commit 2a2893a89248f22af2894cc2c6555da0ec365ed4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-31 11:25:34 +0000

    Update Wocky for fd.o #43992

commit f1e67f8d9a348aac23821878779f7a45dad9719c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-30 16:27:37 -0500

    Cleanup twisted tests import

commit 2b5dbb4be2fa9890f332368d21cd92dd4dda67d9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-12-21 12:37:02 +0000

    tubetestutil: use temporary files as unix socket paths
    
    This is all an attempt to make the unix socket path shorter.
    
    Fixes: fd.o#43981
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e0739058a22dae127e5410fd8ab4fb5dc2d49ad1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-30 16:08:54 +0000

    Disable call-muc.py tests that isn't ported

commit 4fe564149c374a2b30a4bfb8467b5d41f1fd4816
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-30 16:05:34 +0000

    Make call-muc-re-re-request.py test pass

commit 14732bf5081f20aa314c3530e4c6a38155f75a62
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-28 12:55:34 +0000

    disco: don't crash on replies whose <query/> is missing
    
    This is a regression from the BYE-BYE-LOUDMOUTH branch. The logic in
    request_reply_cb is meant to be:
    
    • if the stanza is an error, pass (with 'err' having been filled in);
    • else, if there is no <query/> node in the reply, set 'err' to that
      effect;
    • now call the callback; it is guaranteed that if err is NULL,
      query_node is not NULL.
    
    I inverted the check for the return value of
    wocky_stanza_extract_errors(): it returns TRUE if 'reply_msg' was an
    error, not FALSE.

commit a7c0fccb5bbf66e05a0062a3d7056b6d1c57bd9a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 22:08:56 +0000

    Remove vestigial Loudmouth headers and build system

commit fb5672370cad426fa90a4906824704a4f5699cc9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:56:19 +0000

    Delete LmConnection API.
    
    This is it! There is now nothing left but a build system and some empty
    headers.
    
    The last functional vestige was the GCancellable used in
    _gabble_connection_send_with_reply(), which I basically just moved to
    GabbleConnection. That function should really die as well, but I'll
    leave that for another lifetime.

commit 9fed5574a65c7d7318cd1c86e7e9ffc741139966
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:39:44 +0000

    Remove LmHandlerResult
    
    The callback type for _gabble_connection_send_with_reply returned one of
    these. All instances, bar two, returned
    LM_HANDLER_RESULT_REMOVE_MESSAGE, which makes sense, because if you send
    an IQ you had better be prepared to handle the reply.
    
    When I removed lm_connection_send_with_reply(), I stopped
    _gabble_connection_send_with_reply() paying attention to the return
    value, with no apparent ill effects.
    
    The two which returned LM_HANDLER_RESULT_ALLOW_MORE_HANDLERS were:
    
     • the disco pipeline's reply handler, in the case where the request is
       no longer in the pipeline (such as in a timeout). I checked, and as
       far as I can tell nothing is trying to scrape any information out of
       zombie disco replies.
    
     • the request pipeline's reply handler, in the same case. I couldn't be
       bothered to check for this, but I don't think it will pose any ill
       effects because normally the handler is the highest-priority
       callback, so anyone trying to catch these would not catch the ones
       which were not cancelled… which seems unlikely.

commit cea17f274de06f7a7db6bcc68fa10cbdc083feb6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:38:03 +0000

    conn-olpc: remove an orphaned prototype

commit 7319d124c880f0d8858ac137768bddd5c6ebc869
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:24:26 +0000

    Remove LmMessageHandler API.
    
    LmHandlerResult shows up in _gabble_connection_send_with_reply(), so we
    can't ditch that just yet.

commit 5881a6456bad0b47dba58134dfabd7f766b2cd17
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:18:43 +0000

    connect/torture: skip if $REALLY_TORTURE is unset

commit 0e1bb7601788afb19dea55e3fae5d4243bda4898
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 21:18:35 +0000

    BytestreamFactory: stop using LmMessageHandler

commit 9a567a7cf16759f8f692cf827211db81a76b2b1e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 20:46:25 +0000

    PrivateTubesFactory: stop using LmMessageHandler

commit afef96c60473b99b0fee8c3fbd7d777a3c9e4883
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 20:31:52 +0000

    PresenceCache: use wocky_node_get_content_from_child
    
    This shortens some code a bit.

commit 0bb2b04020b63e760f919f7b9c725b878f4df419
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 20:29:17 +0000

    PresenceCache: remove duplicated code.

commit 6d80ecf861640a76297ba8963027bc280931307f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 20:27:36 +0000

    PresenceCache: refactor looking for decloak requests
    
    This was a little bit intertwingled, and long functions offend me.

commit 7ab3e8a878e79a84c3c13d2a03e3bfe4148d2032
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 20:23:05 +0000

    PresenceCache: stop using LmMessageHandler

commit b76a9f08c6d9b6a410a1fda567ec81316dce47a8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 19:34:37 +0000

    conn-presence: stop using LmMessageHandler

commit 8ee8a2027a38b67448eb56720baac842c6d218a1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 19:21:21 +0000

    MucFactory: stop using LmMessageHandler

commit f676f5045909587dbf612a19ef35e6188f6308ca
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 18:41:46 +0000

    IMFactory: stop using LmMessageHandler.

commit 62303c98f15f8e23e3bfa0a03e7ba109de0ac653
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 18:13:51 +0000

    Remove lm-message.[ch]

commit 89f7b1a1daafe6b9159c5cb42fb0c7fb7acf6871
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 18:08:32 +0000

    Delete LmMessage{,Type,SubType} typedefs

commit 6e3d12a641453d1a00b5271b3094edb7a6845a6c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 18:04:40 +0000

    Remove lm_message_new[_with_subtype]

commit 3c0a4208c89e0f2fc2acbf2da8a4563386da7870
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 17:43:07 +0000

    Remove lm_message_get_[sub_]type.
    
    Wocky is a little less convenient here, but
    wocky_stanza_extract_errors() comes to the rescue.

commit ee42d5f8329229aa8b7ed34cc96b4b888f60f307
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 17:40:48 +0000

    Remove lm_connection_send_with_reply
    
    This basically inlines the call to wocky_porter_send_iq_async() in
    _gabble_connection_send_with_reply(), and removes a layer of indirection
    in calling the callback.

commit 6ce72d766d274ab84c00b8533ae7f665067ea2e2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 17:03:45 +0000

    test-parse-message: g_assert_*-ify

commit 89f7ea25ae4d0afdfc807747b543392a27a89220
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 17:01:26 +0000

    test-parse-message: GTestify

commit d89833fb55289705c6791a7a07a9c662b8a85df9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 16:46:40 +0000

    Remove duplicated AMP rules.
    
    I noticed this duplication while deleting lm_message_build and thought
    it might be better moved to some random place.

commit 722536a79ae18e6bc060e97a7a520e89a13b371c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 16:20:45 +0000

    Remove lm_message_get_node()
    
    It's completely unused!

commit a615d8380375c3d5266c1b17e58488868fda23fb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 16:16:35 +0000

    Expunge lm_message_node_get_name()

commit d1758a79e0f9287fed177574b5c39e324128b15a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-27 15:55:09 +0000

    Remove lm_message_build[_with_subtype]
    
    The build specs aren't *quite* compatible. lm_message_build()'s '('
    accepted two arguments: tag name, and content (usually ""). So:
    
      '(', "foo", ""      becomes   '(', "foo"
      '(', "foo", "bar"   becomes   '(', "foo", '$', "bar"
    
    I didn't actually do this with sed as a result.

commit af1a389766cad96903932f9231219ca5e80d5f98
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-26 16:04:59 -0500

    Port google-relay test to call1

commit 89ccb036c015a2988b282198f74ec7ad5fbd51c9
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-26 16:04:26 -0500

    Move new check_and_accept_offer to callutils

commit a6ffa908693db3183a274e133c5cbdb37eb60d58
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-26 16:03:38 -0500

    Update CALL_STREAM_TRANSPORT enum to new API
    
    Add missing and renamed to what is in the spec.

commit 84403989062485a3ef0c5e131b8e11f47d964104
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 18:56:15 +0000

    Correct NODE_DEBUG's first argument type.
    
    My previous patch was wrong. I didn't compile it. Sorry.

commit bc55f4cd2ccba08642b39dcdb576dd3df05cd901
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 18:05:13 +0000

    debug: remove leftover reference to LmMessageNode
    
    This is only on the --disable-debug path.

commit 8cd1fe08bee1f31cd05b7fee5629496e0d2f806e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 17:03:26 +0000

    Update Wocky submodule
    
    Something has gone screwy here. This supposedly only adds a single new
    commit:
    
        commit 44a326f3ab2aafea7a78df6ac75e9b4c014fe0e8
        Author: Siraj Razick <siraj.razick@collabora.co.uk>
        Date:   Wed Dec 21 12:29:29 2011 -0500
    
            Build fixes for Windows
    
            These changes enables us to cross-compile wocky for windows
            with mingw32
    
    but the buildbots are confused and are using a ridiculously old
    snapshot.

commit 450c82611c7921c6d0711bfa3170a6f1cc70f336
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 14:25:33 +0000

    Expunge lm_message_ref and lm_message_unref.
    
    And also a couple of uses of lm_message_get_node().

commit c3e951a71acd69f2c3c3196675e2b2979e8a9a4a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 14:14:36 +0000

    Jingle*: (mostly) de-Loudmouth-ify
    
    The only remaining reference is a reference to LmHandlerResult forced
    upon us by _gabble_connection_send_with_reply(). I'm sure we can deal
    with that later.

commit e142bebe3e112d715af2b4784b24730eb9c310a0
Merge: a2a603b 035a6b0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-01-26 13:09:47 +0000

    Merge branch 'master' into BYE-BYE-LOUDMOUTH
    
    Conflicts:
    	src/connection.c
    	src/connection.h
    	src/ft-manager.c
    	src/jingle-content.c
    	src/jingle-factory.c
    	src/jingle-session.c
    	src/message-util.c
    	src/muc-channel.c
    	src/muc-channel.h

commit f8e208971a06a1f2b911066014900437559dd758
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-25 17:38:42 -0500

    call-test: Add advertise_call utility

commit debda34210cf48069c08ac8395592ef00f2f0ba6
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-25 17:16:08 -0500

    call-test: Use callutils check_state instead of a copy

commit e5bf54da204ff67396ee77835b25c8aea77c198c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-25 17:15:13 -0500

    call-test: Remove unused exec_test import

commit 3323f531d06bbaf9494c5b6bc56a8f14d68f3900
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-25 16:59:49 -0500

    call: Connect signals in sync constructor
    
    The sync constructor was not connecting to jingle session "terminate"
    and "content-removed" signal. This was causing incoming call to not send
    the ENDED state.

commit 4214f06caf4c809958e6cd33cd730f76c52bda49
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-25 16:58:12 -0500

    call: Add trace on jingle session terminate

commit d3beae79aadab2e0adfc206082068fc6689ff290
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-13 11:32:48 -0500

    fd.o#44649 - Gabble plugin API symbols should be factored out to a separate library
    
    This patch refactors gabble connection by introducing a new GInterface
    which the plugins will link agaist. And GabbleConnection implements the
    new Interface.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44649

commit 93943569220656d2939c96f50515da5ed7877af6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-20 20:23:47 -0500

    Add the other reason from Jingle to the Call channel termination

commit 7a207a7a42a6c6fe9737d9ce0032bab820c4ce58
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-20 15:29:55 -0500

    Add Call1 version of hold-av test

commit 8bf0743da622c2adf7a93f82c9a86dd28d277e3b
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-20 15:29:06 -0500

    Stream failure brings call to pending_hold state

commit 123a0d473ad742c85f6d5242c1009403e7f222ba
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-16 15:41:40 -0500

    Add no-audio content DTMF call
    
    This test simply check that DTMF method does not exist on non-audio
    content object.

commit 9ee76cdc02c550850c8490ddc97dc0c0fa24c38a
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-06 16:32:47 -0500

    Change the plugin API to create_sidecar_async and create_sidecar_finish
    
    All gabble plugins should implement these two methods hereafter. This patch also updates
    all the internal plugins to use this new API
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44331

commit 026e84f10bbfa52f813d30d95b0efbd2ec7a5228
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-06 16:32:47 -0500

    Change the plugin API to create_sidecar_async and create_sidecar_finish
    
    All gabble plugins should implement these two methods hereafter. This patch also updates
    all the internal plugins to use this new API
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44331

commit b642a5dab5535bb3787529de26b6d69be98210e0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-01-12 13:56:51 +0100

    call-channel: Fix build warning

commit 8c9c9fe6e67066a3208371734be54fa1e264af09
Author: Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
Date:   2012-01-11 17:35:20 -0500

    Check that DefferedTones is reset when sending new tones

commit 47994713103ae137ca86810e0f032dce3418120c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
Date:   2012-01-11 17:34:35 -0500

    Check that CurrentlySendingTones is triggered

commit 606d64610704dcdbfbc80e56a2c4e5f032350091
Author: Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
Date:   2012-01-11 16:28:39 -0500

    Test deferred tones in Call1

commit 0cb44ec85906f4ea21c55c9ead449a386eacbcd4
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-10 13:03:17 -0500

    Fix reason when a call is rejected

commit 635ee7183038d7bec1b10f2a56b41fbf087dcbef
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-06 20:24:49 -0500

    Add fixme to remember to handle rejected codecs

commit ca0726474896e546f40f251d4a25ecbbb98bbb0a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-06 15:51:49 -0500

    Set the Call termination reason

commit 9aa42222621917e040f778d8ecea7f9f1663de76
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-05 20:17:55 -0500

    Port DTMF test to recent Call

commit 25dce42e3b0786d84ef017648ceb31268702b680
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-05 19:06:17 -0500

    Update candidate capitalisation in tests too

commit 75826de1194146ddc7c9a3e1677d6fcbe37dcb13
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-01-04 16:48:25 -0500

    Candidate info names are no longer capitalised

commit c253cfd561152df8a7f12459c3787d15a738d823
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-01-03 17:06:22 +0100

    Fix build warning

commit c5dea13a289fbaa29068a834252c9b8a29b02193
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-19 11:48:57 +0100

    GabbleMediaFactory: Use TP_PROP_ where appropriate

commit dd0f6115ada3ad038f383662e02805f2641cfa9e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-31 02:25:47 -0500

    Add test for Hold in Call

commit 3a1a8fc0e062ac268ed54a2b56b70062ed4e2195
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-30 17:14:15 -0500

    Implement local hold for Call

commit b555f952361fce1e037e67be2d90770eec5ffd02
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-29 22:49:45 -0500

    Update to new tp-glib api for setting the local sending state

commit 47cc822f25c4100fd91758ee34a49a9edc31f9c2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-28 01:18:13 -0500

    Add test for the remote side changing the direction

commit 20483522b56a08c5fe01b1012db89c8e7239b850
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-27 03:06:59 -0500

    Add test for pending states when the other side asks to send

commit 8fe2c028aedd1b9daae79546cbb07cb9e1b50759
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-27 01:46:21 -0500

    Implement per-dialect CanRequestReceiving
    
    Also add unit test for it

commit db3883574a31350605f03555616be01ef0bfe3b3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-27 00:54:18 -0500

    Fix Request receiving
    
    Also add tests

commit f4c69b786b2c33930f7b6625a161c1b6b4013a2a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-26 23:08:29 -0500

    Add test for endpoint state changes caused by reconnection

commit b50e272f22ca8c8f94b00ec273beef36ea1c0aa1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-26 21:06:40 -0500

    Update codec offer test for updated spec

commit 80f2cc4c085c1a7e76150f939f2c65fac06de370
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-26 20:59:03 -0500

    Update to correctly set the local and remote sending states
    
    Also update the unit tests and move some work to the base class

commit 3940ed863349a6f1ab6be6764b79c00cf303798a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-23 15:03:39 -0500

    Implement request_receiving using the base class

commit 6af603c3edcfdcd0f836ec34fc720f50b90a73e4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-23 15:03:01 -0500

    Port to BaseMediaCallChannel

commit a8c774fcd09e4298ade48982112ac0cc69b89321
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-23 11:54:22 -0500

    Export the ICE credentials from the transport to the stream

commit 10d618e5098ec0b5a8baada8c1dec67428382797
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-13 17:55:05 -0500

    WIP: Half port DTMF test

commit e97ab16a643a7a45c9e2e09d28777218759436b2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-13 17:47:33 -0500

    Restore flags for StreamedMedia tests

commit 591755cc3fcb5fe257eca33462cddef26aef71a2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-13 17:42:36 -0500

    Port the codec offer test

commit 395bb80683f5830326db422f9ed9ee3123c30ab1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-13 16:02:24 -0500

    Listen to endpoint state change notification

commit b25eb1fe6845f72bf2f4fb991c09cbdd8d9ed671
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-13 15:47:45 -0500

    Update tests to new Call1 spec

commit 0009ecf2483e1ddb935266a4a8d03c31ca5ddb36
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-09 15:30:57 +0100

    WIP: port unit tests to Call1

commit e946c179c33cac58de14443ed877cbd829e8ed04
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-28 14:23:17 +0100

    Replace tp-yell with tp-glib's Call1 API

commit ab43a9f94d0f304003b581a67c7dff6391917b5b
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2011-12-30 17:14:00 -0500

    build libgabble-convenience as a .dll for windows
    
    when building 3rd part plugins for gabble, all the
    symbols as to be defined at link time, not at run time.
    to solve this problem libgabble-convenience has to compiled
    as libgabble-runtime.dll. also by this patch we avoid static
    linking telepath-gabble.exe

commit 035a6b0a6e8ce1787abf2583bb918436282026fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-12-22 16:02:51 +0100

    telepathy-gabble-xmpp-console: no need to import pygtk
    
    In gobject-introspection we trust.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44056

commit 748caada6a36c26e7b8752a39138b4eaf42296db
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-04 05:10:37 -0500

    Use ";" as the seperator on windows.
    
    With this fix, gabble can locate the plugin directory properly on
    Windows

commit b5bc31a5084e05d7e4251a37f628f7835928ab1c
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2012-01-02 13:12:08 -0500

    Make gabble cross compile with mingw32
    
    The patch provides the changes required to make gabble
    compile under mingw32.
    
     - Index is replaced with strchr since index is deprecated
      and not included in mingw32 sdk
     - D_WIN32_WINNT=0x0501 is defined to make  getnameinfo work
     - And other compile fixes

commit 3cdfbe659bbe3a7e217486c2b0a957880b3c24ea
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-12-22 12:04:53 -0200

    Update NEWS

commit 5df4b3abb3909f4cdac2f88580acba762f7b07d1
Merge: dfb062f e1524fd
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-12-22 12:02:40 -0200

    Merge branch 'ft-optional'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit dfb062f2a580d431713742904791627c2044155d
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-22 11:48:37 +0000

    Start on version 0.15.4

commit bf29681bd6ac87c63b1ce6624d1efc58957af920
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-22 10:59:49 +0000

    version 0.15.3

commit 3e7bb6cedcca537126422799a33a11d95bc8808a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-22 10:43:24 +0000

    NEWS: add reference to fd.o#43891

commit 845816e8c451bd18412b4c616ce549863689714a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-22 10:33:05 +0000

    Update wocky to fix wocky_data_form_set_type()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43891

commit ead4381be6e3ab46d454458d54c86fc98c4fe61d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-12-21 09:28:06 +0000

    start on version 0.15.3
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ac5b2184c9b89f527d8ce4ee83484fde084f8499
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-12-21 09:15:53 +0000

    version 0.15.2
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e1524fd2acb29611f8e9055e227b86c4809b546f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-12-20 21:40:36 -0200

    Add configure option to disable file transfer support.

commit 109ae37c08613b9d1b240ab325f993d466a9be55
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-20 15:09:27 +0100

    Update wocky commit to fix build warnings

commit 09cae896ad821071e7d1fcfc69503deeefb57534
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-16 16:02:01 +0000

    Compute the caps verification string correctly with dataforms in plugins
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43889

commit a17ea171acb4847ada48782a8b57feff78aee123
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2011-12-14 17:00:11 -0300

    Added missing build flag

commit 2348d1d320bd99560427875de45351691c018274
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-14 12:33:48 +0100

    Fix the build with glib 2.32 deprecated symbols

commit e61ea6b4baa4080e072f69699bc876c762797b5d
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-12-07 13:19:22 +0000

    Add gabble_connection_add_sidecar_own_caps_full() with dataforms
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43588

commit a7740569c39532c1e508ff707ddecadbcd5acd0b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-29 12:58:32 +0100

    Update wocky snapshot to fix issues with non-character data

commit 956da5d8d2df4aad54e44315ae9df4b54a3ec0fc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 16:48:18 +0000

    Rhythm is a dancer.

commit f7555112d4d9fb17709befd5068a4fdac7365886
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 16:17:58 +0000

    Version 0.15.1

commit 4284793d64274349ced1d4c0ceb6f69cb136425d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 16:14:49 +0000

    NEWS for 0.15.1

commit 7d6e1fa81492520fcd020fe6a1ab4b0a8a1e85ef
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 15:32:29 +0000

    Knock .DRAFT off Conn.I.Addressing.
    
    I've taken the executive decision to turn it into a version number, so
    that we don't force ourselves to break compatibility if we decide the
    interface is perfect.

commit 05e7ea30f2588a098ad52c1969ca3f25795e7dba
Merge: f467b8c 9e4bd73
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 15:25:21 +0000

    Merge remote-tracking branch 'andrunko/fb-addressing'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=41789>

commit f467b8cd4dffca20516be46d6da58f0bb4868df3
Merge: 6a0ed9a 7fa869b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 15:15:58 +0000

    Merge remote-tracking branch 'andrunko/conn-addressing'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=30296>

commit 6a0ed9a2f9c49d21060dd0053c8b71864ee59e10
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 14:22:23 +0000

    extensions: add Make rules for *-gtk-doc.h
    
    3c830e9 fixed `make clean` but in the process it broke building from
    nothing… since these are now included in
    nodist_libgabble_extensions_la_SOURCES, we need to tell Make how to
    build them.

commit 210aeb46df44531b1b3c348b5b75e743afe2503c
Merge: b775d24 43cbe47
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 14:06:42 +0000

    Merge remote-tracking branch 'andrunko/protocol-addressing'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=32692>

commit b775d249a13db7a31a0306572f670f6b76b3c804
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-24 13:58:29 +0000

    configure: depend on tp-glib 0.17.2
    
    This is needed to support Protocol.Interface.Addressing, coming right
    up…

commit 6554c595fe1fd7684ac8efb2505b589601660c3b
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-11-22 17:26:17 +0000

    Fix missing capabilities.h and caps-channel-manager.h
    
    The problem was introduced by this commit:
    
    |commit 587da15932d178ad289e81b039dcabb4e90984c5
    |Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
    |Date:   Thu Sep 1 14:19:52 2011 +0100
    |
    |    gabble: add capabilities.h and caps-channel-manager.h as public API
    |
    |    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c6e76ac44acd46e8d5a1c9f2cc950548d7a30ead
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2011-11-15 13:05:47 -0300

    Support building on Android
    
    This patch makes it possible to use installed versions of Wocky and
    Yell, rather than submodules; adds a missing explicit dependency on gio;
    and adds Androgenizer build targets.
    
    Modified from an original patch by Derek Foreman.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42446

commit 9e4bd7355548bc64aeda0c997dbd14e66522193b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 14:36:38 -0200

    addressing-util: Properly check if "x-facebook-id" vcard address is a number.

commit f3d2d2e95ed23e080e5bd4ec935491916efd7bbf
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 13:10:03 -0200

    addressing-util: Refactor gabble_parse_vcard_address and make "x-facebook-id" parsing expect a number, not a JID.
    
    Refactor gabble_parse_vcard_address in gabble_normalize_vcard_address, gabble_vcard_address_to_jid and gabble_jid_to_vcard_address
    and and make "x-facebook-id" parsing expect a number, not a JID.

commit a3c018452d6e4bf48c6eeb16bfd55b35b70c3aad
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 21:31:18 -0200

    Expand tests for Conn.I.Addressing to test normalization of vCard addresses with 'x-facebook-id' field.fb-addressing.

commit fdf0b93faa48797b739a4d6275baad0f1069f0ce
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-10 21:33:21 -0200

    Expand tests for Protocol.I.Addressing to test normalization of vCard addresses with 'x-facebook-id' field.

commit 3f4ce2c1a14aba3c5f0c922e527ff9e648311207
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 20:32:45 -0200

    protocol: Add support for normalizing vCard addresses with 'x-facebook-id' field.

commit 7fa869b1f319ab42c75d61fdd3b22859f3bb1dfb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-21 13:25:27 -0200

    Update Conn.I.Addressing from tp-spec.

commit aa5280ce5e76c65b310379d73671f4bce826a286
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-21 13:11:07 -0200

    addressing-util: Rename gabble_normalize_uri to gabble_normalize_contact_uri.

commit b203be272d60153eef7d00b5edab30a4f0021759
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 13:39:22 -0200

    addressing-util: Replace gabble_decode_jid with wocky_decode_jid.

commit 25c3d3469e587467008d0f7942125ff9a421a6d9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 13:34:56 -0200

    addressing-util: Remove redundant checks when calling g_uri_escape_string.

commit 4192c92ae505489050da9f89fcbb756d83f66bb3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 12:00:23 -0200

    twisted/addressing.py: Expand tests for normalizing URIs.

commit 2d661e26a114dcf91e0461a814072be4c095e0f4
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 11:40:05 -0200

    addressing-util: Use gabble_parse_xmpp_uri on gabble_uri_to_jid.

commit 9f53dc66c3a9b29ba987e5bb1d9a33ad34567beb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 11:39:46 -0200

    addressing-util: Add gabble_parse_xmpp_uri helper method.

commit 909d5428e4187ffe276587e726a790e7b1653636
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 11:10:19 -0200

    addressing-util: Refactor gabble_jid_to_uri and gabble_normalize_uri.

commit dad62245979ea66a63c4e2ad8ad99386c0007e07
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 10:42:07 -0200

    conn-addressing: Remove unnecessary cast.

commit 26594e8d47c0af050128d9133892f676cde96e55
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 10:41:33 -0200

    Update docs for Conn.I.Addressing.

commit ef5685459b4815aac89d3e0ed4202e277e127705
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 20:36:26 -0200

    protocol: Use gabble_get_addressable_uri_schemes/vcard_fields.

commit 687adff7ab22e0f2dc5f81b895726372acc28a98
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 21:30:49 -0200

    addressing-util: Make gabble_uri/vcard_address_for_handle generic.

commit 2e33ef47c7fc2c2630c084b590610f5bf086fdab
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 21:27:39 -0200

    addressing-util: Use vcard address as the identifier for tp_handle_inspect in gabble_ensure_handle_from_vcard_address.
    
    We need to parse the vcard address to make sure the field/address is supported, but we cannot use
    the return of it as the identifier to tp_handle_ensure, as the return may be invalid
    (depending on the vcard field).

commit ab6aef86574495c699756f13f7fe3e8e33b48c97
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 20:08:28 -0200

    addressing-util: Split gabble_parse_uri in gabble_normalize_uri, gabble_jid_to_uri and gabble_uri_to_jid.
    
    Also properly escape URIs.

commit 846339c2ad4fe280a1f89ca60ff4bfcd59ed7063
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 17:44:35 -0200

    conn-addressing: Use g_str_hash/equal and dup/free the key for the requested hash on conn_addressing_get_contacts_by_uri/vcard_field.

commit 1393bc432a2a271e94d528df15b9166c9fa9a8b7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 17:41:42 -0200

    Update docs for Conn.I.Addressing.

commit 774995d3b527ced96f236ac7937d8861c9403c03
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 17:37:08 -0200

    Fix typo in Conn.I.Addressing.

commit f84a9c17a256a17ad0118a9a932cc90650399143
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 17:16:56 -0200

    Split requested contacts into a separate argument in Conn.I.Addressing.
    
    Remove the contact attributes ".../requested-*" and return the satisfied requested addresses on
    GetContactsByURI/VCardField.

commit a1c71d47685d266be24f3a6deebddb5d184c781d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:27:18 -0200

    protocol: Use g_error_matches to properly match for errors and don't crash if error is NULL.

commit bee30c01c77fcd76fe046bf962d1568f16149980
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:23:49 -0200

    conn-addressing: Use g_error_matches to properly match for errors.

commit 158fbf5c3987b90f27345cd54ba3885790caddd3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:19:31 -0200

    conn-addressing: Add comments for g_hash_table_get_keys usage.

commit cd210ac5a6d04fb46d532e1421b11cc9baa34197
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:18:25 -0200

    conn-addressing: Rename variables starting with "in_".

commit 4137aba89752ae3b773c44fa59e238376a2561dc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:14:47 -0200

    conn-addressing: Reorder includes.

commit 36be157b1edb9776a320d377588b2ec8fd1cce56
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:11:50 -0200

    conn-addressing: No need to include debug.h and define a debug flag as we don't use them.

commit 2a1708b475e527bd2d8662d30777c910d08c5df1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:08:42 -0200

    addressing-util: Refactor gabble_vcard_address_for_handle.

commit 082f79dbf29e3a11d641b6339000e2bcf639f2c9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:01:22 -0200

    addressing-util: Refactor gabble_vcard_addresses_for_handle.

commit 24f94aad9af73af03486f0612e4f99a723b30e3e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 12:32:51 -0200

    addressing-util: Refactor gabble_parse_vcard_address.

commit 218ae8f0dc091444b34df18f9e79797a9bfdcc37
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 13:06:59 -0200

    addressing-util: Refactor gabble_uri_for_handle.

commit 44184e6acbcd8cd6cd6baa39811833d39c90e600
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 12:52:44 -0200

    addressing-util: Refactor gabble_uris_for_handle.

commit 5e74e1d55948636645b654f267398253d329ffdc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-16 12:24:00 -0200

    addressing-util: Refactor gabble_parse_uri.

commit 3210556571ef281f2afe6586c35474be0906681b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 16:33:30 -0200

    addressing-util: Put includes in alphabetical order.

commit 78af6ffac2fccf1f26ad7c38b369e9c493f726f1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 16:31:38 -0200

    addressing-util: No need to include debug.h and define a debug flag as we don't use them.

commit d977ec1feaf34a19979309ca1a8e2e1808aa3ece
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 16:32:22 -0200

    addressing-util: No need to include config.h in the header file.

commit c07bb73548709f427c4b47b5a0d93c77806d631e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-11 01:30:05 -0200

    addressing-util: Fix some coding style issues.

commit dda584a302134223185a36d589e48d8d2a1ec07d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-11 01:00:34 -0200

    addressing-util: Do not fill output uri if input uri cannot be parsed in gabble_parse_uri.

commit 33394ec5a4f1acfc3f6235626d98e0267e27fa53
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-11 00:53:31 -0200

    twisted/addressing.py: Re-enable Protocol.I.Addressing test.

commit f4a87f5d3584d19993206992f768638a0209bdea
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-22 10:32:09 -0700

    Synced with latest tp_contacts_mixin_get_contact_attributes.

commit b4cc4692ee10fa84f92922bfabb22153232187a5
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-21 13:07:32 -0700

    More centralizing.

commit c1610996707159f8c09ed0077df169eadd253d59
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-21 12:07:35 -0700

    Added addressing-utils.[ch] to aide in addressing consistency.

commit 3c86293fa5dc2b24447eeaddc5cd8b7a1e3cf9da
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-20 11:54:33 -0700

    Added Conn.I.Addressing tests.

commit d7618fe18e64c05625d95531c3c918a1c238a5da
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-20 00:05:06 -0700

    Implemented getters in Conn.I.Addressing.

commit 2524367ba1531d27a1c201651119a44aba0a999a
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-20 00:04:40 -0700

    Factored out URI parsing.

commit f1b72e248195b25f629bb2042135066c34b482a4
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-19 16:20:18 -0700

    Started work on connection addressing iface.

commit 4c0aa45e6a69de77cc9e685edac9213ba34192dd
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-19 09:19:42 -0700

    Added Conn.I.Addressing as an extension.

commit 43cbe4770f28bc52115bec727edc07a6c9142841
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-21 13:05:55 -0200

    protocol: Update to latest changes in Proto.I.Addressing.

commit a9608bc48432be0e18441b931c60d6438acc40e9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 15:05:14 -0200

    twisted/constants.py: Re-use PROTOCOL definition when defining PROTOCOL_IFACE_ADDRESSING.

commit 9c745c78daa57bb374fdcb536ead75ba3d50c9aa
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 15:04:34 -0200

    write-mgr-file: Use one property per line when calling g_object_get, to emphasize the paired arguments.

commit b7504155ef6656ee155439fef7b35b3e6226dcfb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 14:57:45 -0200

    protocol: Reorder logic of checking for uri schemes in addressing_normalize_uri.

commit be3b8aa3f9b6d8aa5e933d7ee44475ab4356c5c3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 14:56:09 -0200

    protocol: Reorder logic of checking for vcard fields in addressing_normalize_vcard_address.

commit c02c3f6d08d890627ed19b8513cc3609e4ed8303
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 14:53:38 -0200

    Remove debug area for protocol as it's not being used.

commit f498451348f9053ff3e4b01a854862d00ba57a80
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-14 14:49:52 -0200

    protocol: Updated with latest changes in tp-glib to support Protocol.I.Addressing.

commit 6cdcedb7faca3d2fa43e01d32d9ae7bade2a0a5b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-10 21:34:37 -0200

    write-mgr-file: Make it comply with ISO C90.

commit fb792b824efcc0960db7143ff69bf79ee76ac278
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2011-01-03 16:24:43 -0800

    Use new addressing GInterface API. Fix review nitpicks.

commit bd20b6a9c8b4ba138a77112efd698af126965afc
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-12-27 15:56:53 -0800

    Update manager file writer for new addressing features.

commit 83095016b23bc2096dd7fcd567bde3ac56017ac4
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-12-27 15:56:06 -0800

    Added tests for Protocol.Interface.Addressing.

commit fb0b624a751807821dcaa91196457dc0be70406c
Author: Eitan Isaacson <eitan@monotonous.org>
Date:   2010-09-15 15:56:54 -0700

    Added Addressing support to protocol.

commit 3c830e93b65121c2a6450c97b68922b49d85fde3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-21 14:19:35 +0000

    extensions: add generated -gtk-doc.h files to Makefile
    
    The updated code generator added in f9332611 puts gtk-doc comments into
    separate source files. Since these weren't mentioned in
    extensions/Makefile.am, `make distcheck` failed, protesting about “files
    left in build directory after distclean”.

commit 357aef5d882f461a05037255f3f0dee844d18d6f
Merge: cbe05e9 ac3ed72
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-21 13:14:04 +0000

    Merge branch 'xmpp-console'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=xmpp-console>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit ac3ed729bed7d8c4fb62a11ade54f54b6139c0d0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-21 10:49:00 +0000

    console plugin: add a FIXME re. client dying

commit f28d2d99353e91c925986f8ee7abde562384f884
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-18 11:00:46 +0000

    console UI: turn off monitoring when we quit

commit 936059fedae244ec4ea9cf40d500f9b761639bfb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-18 11:00:21 +0000

    console UI: allow passing account identifiers

commit 77f77a88c3a28a68cdbd5656912580cf2e235338
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-17 23:50:33 +0000

    console UI: fix handling errors from SendIQ

commit 2622e65507e83956a2dd0b7f349135771ec8f335
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-17 17:42:43 +0000

    console UI: add a page for sending arbitrary stanzas

commit 5bcba4d971ebf48ba827067ff4b1c5d28c36295f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-17 23:49:50 +0000

    console UI: factor out spinner wrapper notebook thing

commit ff861b9904b4d200c33107fd39178585310918d0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-17 11:07:32 +0000

    console plugin: add SendStanza method

commit 0212d45fcddd528cf3f3b66c930b0b57e0788d6e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 10:23:42 +0000

    console UI: add stanza monitor pane

commit 9391ee87e77315f3405722846d6b2bec14736497
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:38:46 +0000

    console UI: split out UI helpers
    
    The traffic monitor window will need to show nicely-formatted stanzas,
    and it will also need a grid with the same spacing.

commit bd8c210005270e42b09feb08abf521bd64a1237d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:29:12 +0000

    console UI: pack IQ page into a notebook.

commit ace82cb0e39516c6df7b055b5a2219c45578c746
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:19:29 +0000

    console UI: refactor IQ interface into a class
    
    This just pulls out the entire Gtk.Grid containing the UI for sending an
    IQ into its own subclass of Gtk.Grid, paving the way for another page in
    the UI for watching the stanzas fly past.

commit 54dc3ce758b1f47f2a46590297765c5baf5dbd77
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:18:38 +0000

    Add a smoke test for the XMPP console

commit 1a6f7fff8022d9f4bf17ded58771c3c7a8582049
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:09:39 +0000

    console plugin: implement received/sent signals
    
    Ideally the SpewStanzas property would become False when the client
    which asked for it falls off the bus. Later...

commit 27afc946f679d649d57026ffd7d81bbaae00b4a2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-16 09:08:18 +0000

    Add Sending/Receiving signals to Console API

commit f9332611f8c19a0bf96a7c822c7e03da796813f7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-11 19:45:25 +0000

    tools: update to respect EmitsChangedSignal

commit 20901a521f66d1106e69ca967c2a60af10b3c486
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-11 19:27:50 +0000

    Update Wocky snapshot
    
    This new snapshot allows Gabble (specifically, our plugin) to register
    match-all stanza handlers, and also adds the stanza currently being sent
    as an argument to the WockyPorter::sending signal.

commit 9f3e22edb1b13ff37b124a5fe3a5e9a1522dbebb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 18:07:09 +0100

    xmpp-console: add some better error reporting

commit f59235111739cde7b746de4b93d9090f039dc494
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 17:38:54 +0100

    xmpp-console: Readd a crucial feature from 0.12.5.

commit 4fd5fd804b45b3b1c8f8de5a71210099663d688c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 16:49:39 +0100

    xmpp-console: show a spinner while waiting for a reply

commit c63263f038c938839e5a3ec5e4809955b877a381
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 16:28:13 +0100

    xmpp-console: add radio buttons for get vs. set

commit 00e1ca483ad07ddcd2a059130e3e186ae12fbd63
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 16:17:12 +0100

    xmpp-console: split up entry-adding function
    
    I'd like to use a combobox or something for the get/set selection.

commit 880edbed11b23262afed535ce51dc3e36ebf3698
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 10:43:59 +0100

    Add XMPP console UI
    
    It is only installed if the plugin is installed.

commit 59fbf7d5e24859595d230f6249c30370f09a6281
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 10:43:50 +0100

    test plugin: include version number

commit 98ab5aa93c9574187bf47ff7bad10f7a1fe2b935
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-06-22 14:33:52 +0100

    Add an XMPP console sidecar
    
    It currently only supports sending an arbitrary IQ and getting the
    reply. Obviously this is for developer use only.

commit cbe05e97476160fab38ba491717f4d5a42c17887
Merge: 7c77196 2f1c385
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 14:46:33 -0200

    Merge branch 'trivia'

commit 2f1c3854ed8860caeb8410d4a9c0882124641e10
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-11-17 14:18:18 -0200

    Remove gabble_decode_jid in favour of wocky_decode_jid.

commit 7c77196d24c77a31bb51928ee3875f1161b9fd08
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-16 15:21:04 +0100

    Add coding style check for g_hash_table_destroy and g_array_free usage

commit 769a97c2ed9e6cbfda656a65483f6142423adc36
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-16 14:39:30 +0100

    Use _unref instead of _free _destroy when possible.unref
    
    Replace g_(ptr_)array_free (foo, TRUE) and g_hash_table_destroy
    with respectively g_(ptr_)array_unref (foo) and g_hash_table_unref.
    
    I used this command to generate this patch:
    for f in `find -name "*.c"`; do sed -i $f -re 's/g_ptr_array_free \(([^ ,]+), TRUE\)/g_ptr_array_unref \(\1\)/'; done
    
    See Danielle's blog for explanation of possible bug _free can do:
    http://blogs.gnome.org/danni/2011/11/16/mistakes-with-g_value_set_boxed/

commit dfccd984ac6c694a689c1f224efb4f4e2b27e01c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 11:37:13 +0000

    bump nano-version
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 241356cdbd74bca44e8c0c9c583a2d1f4daf903a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 10:07:32 +0000

    version 0.15.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 65c8b8f3edb446e3a0411a7401d9e3947ba858db
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 11:24:10 +0000

    jingle outgoing test: add MembersChangedDetailed flag to base flags
    
    telepathy-glib ≥ 0.16.2 always sets the Members_Changed_Detailed flag
    in the group mixin, so now that we depend on tp-glib ≥ 0.17.1 we
    should expect that too.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 9f8e0db4ba039eb78d055a0c04bb8fb283c89751
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 10:01:14 +0000

    NEWS: further updates about Wocky
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1e61c2ef8d352294f369eebe3493f135c7dca16c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 09:48:34 +0000

    NEWS: update
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 65628acf0d363f0868d643cffcb01b950d6dcf5f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 08:44:02 +0000

    file transfer helper: use crazier stock metadata in file transfer tests
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 78af31f043327c194ed4db4c2db2d8b04d57f07f
Merge: f903c62 80ffa6e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-16 08:07:09 +0000

    Merge branch 'ft-metadata'
    
    Conflicts:
    	src/namespaces.h
    	tests/twisted/Makefile.am
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f903c62e4de60610638931cc14ed3118de2d37c6
Merge: 9309cb4 566c0f7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-15 15:34:41 +0000

    Merge branch 'telepathy-gabble-0.14'

commit 566c0f72fe54d44752c3704537e42c3e3640488c
Merge: ebcb135 7524ce7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-15 15:34:27 +0000

    Merge branch 'telepathy-gabble-0.12' into telepathy-gabble-0.14

commit 7524ce77ef3989418d2e8b0a2af47e472c7c982d
Merge: 9cf653e 6cb2b5d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-15 15:34:11 +0000

    Merge branch 'local-pending-flicker2' into telepathy-gabble-0.12

commit 6cb2b5d0f9e4a164537e3861f787e603d02bb8e4
Author: Cosimo Alfarano <cosimo.alfarano@collabora.com>
Date:   2011-11-02 13:24:09 +0000

    add case for "cancel subscription" to test_local_pending

commit 31c2cd55912c72c82cba28202f220a80c8b4faca
Author: Cosimo Alfarano <cosimo.alfarano@collabora.com>
Date:   2011-11-02 13:20:15 +0000

    expect MembersChanged AND ContactsChanged on sub-request
    
    We should explicitly expect the relevant state transition on the publish
    channel; and when forbidding events, we just forbid them from occurring
    on the publish channel.
    
    (fix by Will Thompson, thanks Will)

commit 284779859a67e2dfceb4d9930df81e452d5a4b3a
Author: Cosimo Alfarano <cosimo.alfarano@collabora.com>
Date:   2011-11-02 11:39:46 +0000

    fix comment: Alice is just requesting subscription

commit 273654bfb07e5ff593b162dd455f739f697b71b8
Author: Cosimo Alfarano <cosimo.alfarano@collabora.com>
Date:   2011-11-02 11:39:21 +0000

    Remove useless symbol in test_local_pending

commit 8fcf944c1afbcd98a5cbf582e33d88d877a6980f
Author: Marco Barisione <marco@barisione.org>
Date:   2011-08-31 17:31:24 +0100

    Roster: don't hide local pending contacts from stored

commit 9309cb456645ff7643ebe36c50e3b447641b6c6b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-15 12:13:46 +0000

    Fully expunge HANDLE_LEAK_DEBUG_CFLAGS
    
    Sorry, internet.

commit 36a50290e5d9324cf55ed7a53cb9c221d7386d95
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-15 11:34:42 +0000

    configure: remove --enable-handle-leak-debug.
    
    There's no such thing as a handle leak any more, so this is vestigial.
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5b3105a5a357cdd1f1d098fcc3e2c26a40e5b93f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-15 10:12:55 +0000

    wocky: update snapshot for sasl fix again
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 30ff2ae153dfa5b45072df344d129d909429a63e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-15 09:16:56 +0000

    wocky: update snapshot to fix sasl build failure
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 80ffa6e731f2ecb5c31bbaec1083d13e6757d912
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-15 09:16:05 +0000

    ft metadata: use tp-glib generated code rather than using the draft interface
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 13835c53f6e7b0cf1d576ca8ae031282494ed473
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-15 09:15:36 +0000

    configure: up the tp-glib dependency
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 275667c68ed51ffd4dc988c5916a11e85401f4ac
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-11 11:11:14 +0000

    metadata test: test for odd metadata with a key but no values
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 631d3beed4585d9c2b1530ab4c9657907234c9fe
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-11 11:10:51 +0000

    caps-helper: deal with no value nodes in data forms
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 798edc37548cbcea3c4c16edbe65aa62f3ba3ff4
Merge: 585f946 ebcb135
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-10 17:09:40 +0000

    Merge branch 'telepathy-gabble-0.14'
    
    Conflicts:
    	NEWS
    	configure.ac

commit ebcb1350c3b316f8fe510caacacf0b2a59b95458
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-10 16:40:09 +0000

    conn-olpc: handle activities with NULL ids.
    
    Other places in the code seem to handle GabbleOlpcActivity.id being
    NULL; and <https://bugs.freedesktop.org/show_bug.cgi?id=32050> is a
    crash on this strcmp. There are no logs, and the first argument to
    strcmp is not on record, so this suggests to me that this might be the
    cause!

commit 5677e158d6518e53bc06c131e3b2c8b9c779a74a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-11-09 17:46:04 +0000

    Remove double definition
    
    gabbletestsdir is defined in configure.ac
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42679

commit c5afb4dc7f6ea3a55ca35bbd04e16ce87e57cacc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-09 19:34:03 +0000

    metadata: update to new draft
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit a1f943c809232021db6d831f0e9869bb0584dcfc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-09 18:07:37 +0000

    extensions: update FT.Metadata draft
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 585f9467b8916b5d3ebc0e06c00019b916099672
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-11-09 17:46:04 +0000

    Remove double definition
    
    gabbletestsdir is defined in configure.ac
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42679

commit dd7cbb323b1ed31f34f2babff8d066f7e88bc3c9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-09 17:33:55 +0000

    namespaces: update metadata namespaces
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bdf5c1535079d7f69e8b0d50def2bf0acd2a7d1a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-09 08:20:31 +0000

    connection: fix typo when indexing pointer array using wrong counter
    
    D'oh!
    
    Fixes: fd.o#42706
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b4b5aa0be69a171615801c13626f5221e8b1cb6c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-11-09 08:20:31 +0000

    connection: fix typo when indexing pointer array using wrong counter
    
    D'oh!
    
    Fixes: fd.o#42706
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e5d6c92c9ff74fdba49d751ed1f7b5d87bf17336
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 20:34:38 +0000

    lay the foundations for 0.15.x

commit ed197893f4e303276480649330b9c362c60f6442
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 20:34:04 +0000

    Nano-version bump to 0.14.0.1

commit 2c134e18d24d1daebba6963f73c1bff9b960b46c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 19:59:19 +0000

    Version 0.14.0

commit 152c12a2e393e6c135a975df847f55990fc8d0f5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 19:58:40 +0000

    Hey, let's call this 0.14.0

commit 0f86ad63a641a780b0e812725f7a7bd24d57a467
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 19:20:28 +0000

    NEWS for 0.13.8

commit df3882d34528ccb320835fafbad74034a589dc64
Merge: 6ef3ca9 6895340
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 17:46:04 +0000

    Merge branch 'facebook-own-message'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6895340badaff9f97683230848ae8e0f9f6f99d8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 08:58:45 +0000

    ImFactory: handle Facebook's own-message extension
    
    Facebook's XMPP server sends us IQs containing messages which we send to
    contacts, whether on this connection or via another connection (such as
    the web interface). We can expose these as Delivery_Status_Accepted
    delivery reports, allowing UIs to log them and show them up or whatever.
    This could help keep things coherent if the user hops between chatting
    in the browser and/or Empathy, say.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41417

commit 6ef3ca940f0b4a4ae1aedb2c03ddc794fe659582
Author: Danielle Madeley <danielle@madeley.id.au>
Date:   2011-11-07 22:18:17 +1100

    Use commit ids that actually exist for Wocky
    
    What happened here was that git-bz was rewriting my commit ids when I
    submitted the patch to bugzilla for review, but my Gabble was still pointing
    to the original commit I had made. SURPRISE!

commit e61dc0318e7a7c00c268105599ea3eada2c1491b
Author: Danielle Madeley <danielle@madeley.id.au>
Date:   2011-11-07 21:45:02 +1100

    Return the appropriate value in the case of an unknown timestamp
    
    This updates Gabble for the latest spec.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=42652

commit 465b3aef2330ae73c2f643eeec4676da657c2222
Merge: ed09e89 a04b9e5
Author: Danielle Madeley <danielle@madeley.id.au>
Date:   2011-11-07 20:54:44 +1100

    Merge branch 'wocky-muc-gdatetime'

commit 4312e1f6789227e658ee55349b91b0980128ab51
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 16:21:04 +0000

    IMChannel: reindent receiving/delivery report code
    
    This patch just gets rid of the funky formatting mentioned in an earlier
    patch; there are no code changes.

commit 574d1468432bd066dfe7a50fed8c2bbae5d71975
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 12:22:09 +0000

    IMChannel: split incoming message and report handling
    
    As a nice side effect, the new _gabble_im_channel_report_delivery()
    function can do successful delivery reports if send_error ==
    GABBLE_TEXT_CHANNEL_SEND_NO_ERROR. This will become useful
    momentarily...
    
    The funky formatting is to make clearer that this patch is mostly moving
    code around unmodified; a subsequent patch will clean it up.

commit 46da670d5c0fa51b92a168d454d23e9b119e349a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 12:11:42 +0000

    im_channel_receive: split out building basic message
    
    This is about the only part of this function which is shared between the
    delivery report code path and the normal message code path.

commit deb5a15cb02344891f5871cd5f8dcf8faa464d4a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 17:01:13 +0100

    ImFactory: refactor creating unrequested channels
    
    We'll need similar logic for handling incoming facebook:own-message
    notifications.

commit 214c0b08245fc264985e4504309abb7b7e82f68c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 23:50:24 +0000

    exec-with-log.sh.in: set WOCKY_DEBUG.
    
    I'm delighted that 3a1fe026 made us compatible with hypothetical shells,
    but it also reduced the amount of debug output in gabble-testing.log.

commit b34a0207287a3976e1b880c5b958b9215c5930ad
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 23:27:24 +0000

    im_channel_receive: remove redundant 'sender' parameter
    
    If we're passing an incoming message to a 1-1 IM channel, we don't need
    to tell the channel who sent the message: it knows perfectly well. In
    fact, we were telling it twice: once in handle form (which is
    redundant), and once in full JID form (which is more useful: it lets the
    channel update its resource binding).

commit 9b81a8da064954b714474208d2fb4e7d5cb2d6b4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 15:54:47 +0100

    ImFactory new_im_channel: remove redundant typecheck
    
    By the time we get this far we can be sure that the factory really is a
    factory.

commit 54104dac1cbfa6a13e8aba199a2043eb061e9a87
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 15:53:26 +0100

    ImFactory: remove GET_PRIV anti-idiom

commit 34b600adcb8894615fc2b40400ce6e740230f7c2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 15:50:24 +0100

    IMChannel: implement get_object_path_suffix
    
    I think this is simpler than the factory passing the path in. Though
    it's actually longer, which offends me on some level.

commit b3d5848804b8128b0962f4860efcd758e19d7fc3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 15:42:42 +0100

    ImFactory: simplify new_im_channel's arguments
    
    We can infer from @request_token whether the channel was requested
    locally or is being created in response to a incoming event; hence, we
    don't need a separate @initiator argument.

commit 7a9200ca2a426f4f794a4fd43291bcd511a9420f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-11 15:34:57 +0100

    ImFactory: document new_im_channel more usefully

commit 33cd9527f7c0d1f4a2b72e8cfadc417b69590336
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 01:15:32 +0100

    Remove unneeded im_channel_closed_cb prototype

commit eb0dc2a0694451453c40c0e75da3ba9093837339
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 00:24:40 +0100

    Document _gabble_im_channel_receive usefully

commit 933af070afdc7a3a1df333c318743e0ba115f3a5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 00:20:14 +0100

    Remove redundant CHECK_STR_EMPTY macro

commit 2941264d571f3bd23739f7bbdbb350c53355398b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 00:08:02 +0100

    IMFactory: use constructed, not constructor

commit aa4b8472a09fafd5bc8046c01f2163d6d7e4495c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 00:05:22 +0100

    Remove obsolete DBUS_API_SUBJECT_TO_CHANGE defines

commit d3607abee80d237ea1d00aca55e14eadc7ff5bb4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-05-30 12:16:16 +0100

    muc-factory: use a dispatch table for handling requests

commit 517cce66448836d6f3de0eef34b9c36d7a4a2bf9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-05-30 11:45:40 +0100

    muc-factory: use fully-qualified property constants

commit 45b54e41a49f60b4e0c620546492a91e0c1b1b4c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-05-27 12:09:52 +0100

    MucFactory: remove stupid priv anti-idiom

commit 616ccbaf5f8b04e1ab1f74f0441490731c1044eb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 17:09:39 +0000

    ft-client-caps test: change client name
    
    I've no idea why but if caps/tube-caps.py is run before this test (it
    has the same idea and design as this test was copied from it) then
    this one fails due to the same client name?! Another day...
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ed09e896b3c249568192e92b5195462e626918fb
Merge: 08da102 f5f7cc6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-10-31 14:05:12 -0200

    Merge branch 'memory-leaks'
    
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit f5f7cc6b3407af00eb594aca4c2ffc797f987846
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-10-31 13:55:18 -0200

    roster: Do not leak the roster stanza.

commit 1d61ece67ffac336e4beb430cb1da6e2b4f971cb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-10-31 13:54:40 -0200

    connection: Remove unnecessary extra copy of caps when updating capabilities.

commit cb97cf5832904d9ce05c93318f43d8b83fb5aa37
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   2011-10-31 13:48:15 -0200

    conn-presence: Properly free priv member.

commit 107d1867af1cd827cf41cc202b0f91bace124f20
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 14:51:35 +0000

    ft-client-caps test: clarify caps dict building
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8ecdc16893fc2208233252dd5054b88925392601
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 14:30:39 +0000

    ft-client-caps: remove duplication by using caps_helper.presence_and_disco
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c5ea43c6c5bac3cc29695df4f2c2889775eb94a4
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:45:25 +0000

    ft-manager: use nicer tp_g_value_slice_new_* functions
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 70d83e788df4acd2218447696e5517b27b416530
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:43:51 +0000

    ft-manager: clarify argument name
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 534678998700786a5bc5c6e66e863fc64e353ee6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:43:01 +0000

    twisted tests: use conn.Requests isntead of making a dbus.Interface
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5cdf63160451cb2142eb1915eb369d9c248bd80b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:40:31 +0000

    ft-channel: simplify adding fields to dataform
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 56086a17c480737973cc28e6c82b7b98d8eb9f6e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:29:07 +0000

    namespaces: change FT metadata namespace
    
    "and… im: is not a URI scheme. http://telepathy.im/..."
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7560587e9a14e13b1cb6f1ce2b0c5451bfc67c65
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-31 13:01:21 +0000

    ft-manager: deal with bad ServiceName fields
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 08da102662f74cf084e4d2bdfc86f2b15e33ca66
Merge: f9529b7 9cf653e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-31 09:38:35 +0000

    Merge branch 'telepathy-gabble-0.12'

commit 9cf653e93ba9beb8ff2df73627cd2b1f5bedf6bc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-28 18:34:25 +0100

    roster: ignore multiple replies to roster query.
    
    The XMPP server running on vk.com is buggy, and replies to our roster
    query twice. Gabble just blindly assumed that any <iq type='result'>
    with a roster in it was the singular reply to our singular query. This
    is a pretty reasonable assumption but this buggy server violates it, and
    Gabble calls tp_base_contact_list_set_list_received() more than once,
    which triggers a critical in that function.
    
    A more invasive fix would use wocky_porter_send_iq_async() rather than
    scraping all the roster IQs out of everything using the LM API, but I
    wanted to quickly fix a bug on a Friday afternoon.
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=42186>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit abbfb9b9fd90cb9f279449a9b43e3bff66167d87
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-28 18:54:57 +0100

    ft metadata test: fix subclass of file receiving test
    
    Oops, this was subclassing the wrong FT helper test class. No other
    changes necessary (like a boss).
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 735bea1282b3299030869d41920d7dbaabaaddce
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-27 17:23:57 +0100

    capabilities: only add metadata cap when we have normal FT caps
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f9529b7d27b0cc9edc9b7c39573c533963d87079
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-21 15:20:03 +0100

    Update .gitignore with installed tests

commit f4b4768caabf44f0c2955e97bf8c8af592ff23b1
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-12 18:45:34 +0100

    Install the test plugin for the installed tests

commit 49925bb583375e19b2d0fa0aeda7902f79fca370
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-09-29 16:55:06 -0400

    tests: add --enable-installed-tests
    
    This configure option makes it possible to install the twisted tests in
    ${libdir}/telepathy-gabble-tests and run them without the sources.
    
    The dbus configuration is duplicated in tests/twisted/servicedir/ for the
    installed tests and tests/twisted/servicedir-uninstalled/ for the uninstalled
    tests.

commit 3a1fe026d8a43f9bad8c6820c73310245929fb4c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-21 15:36:18 +0100

    exec-with-log.sh.in: POSIX shells, avoid "export var=foo"

commit eec2603bd4f8644cc165ce5c8ce42d21c4c73f66
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-21 15:11:03 +0100

    Use autoconf's $(MKDIR_P)

commit fa01616db7028029832cb6da6fa898dac0605a82
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-21 14:19:01 +0100

    tests/twisted/Makefile.am: Move additional tests in the main list

commit b1d83dcd017bac58e00461ed5cc2b1c967d426fe
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-21 13:54:06 +0100

    tests/twisted/Makefile.am: order lists in alphabetic order

commit ade61fe2442ee0787c253b9aff7848216427a71f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 18:55:45 +0100

    ft tests: add tests for FT service name caps
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3107077eaafd32548273e79363fa3dce4ddc3d25
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 18:26:25 +0100

    ft-manager: advertise file transfer services with capabilities
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d92500bcd3911dbddad5fff2d40cfbc674663b41
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-10-26 16:19:58 +0200

    actually implement ContactBlocking interface
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42281

commit a8f305d39ee09748ac258ce577dd9738278f9561
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-10-26 15:50:31 +0200

    Advertise ContactBlocking if supported
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42281

commit 16060fa8422c7ba530461732821064c3576136c8
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 13:10:15 +0100

    ft-channel: fail to create channel if the contact doesn't have the right caps
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bd6cb214613a95dc5870ac256fd95349576f5fce
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 11:50:34 +0100

    ft-manager: only advertise Metadata support for those who support it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 583cb3ae5b8538fa24a882462a453d5865587352
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 11:48:11 +0100

    capabilities: advertise support for the TP FT metadata extension
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 08599349b9681f588826393b4c8c2debe228a50b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 11:05:58 +0100

    metadata test: ensure we get an error with a bad Metadata property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b4f1e9b52846826faf4b843cf4c3bdd00f75150c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 09:09:40 +0100

    metadata test: test receiving an offer with no dataforms
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 82e7b8a0f7461665e58381e7690e3c0f2ebeacc0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 09:09:33 +0100

    ft-helper: test parsing incoming offer metadata
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit fcf41a7e505a2d38cba5a40e82150bb03eb8d9a1
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 09:08:00 +0100

    caps-helper: split out function to add data forms to a node
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 396e49c5492c8142cfc3fc45054eee0bbba36e23
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:48:31 +0100

    file-transfer tests: add simple Metadata test
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 52e76fbe1a5348eccdda726133e2705a1f78f44d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:46:54 +0100

    ft-channel: include metadata in file transfer offer
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c2f0b06cb87a62ca9e15bb9bfa870a9854e0117e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:44:40 +0100

    caps-helper: allow extract_data_forms to be called with no x nodes
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b9f1bc49edd64959ff0ea57f216672d3067b1118
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:35:16 +0100

    caps-helper: move data form parsing code into its own function
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2933e974314887c283276c904832c69d470849b5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:33:00 +0100

    ft-manager: disallow FORM_TYPE keys in Metadata property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 30899a8616c660cc0852af003a4ad40609a5b52d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-26 08:30:25 +0100

    ft-channel: make Metadata props immutable and test them
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7a1da4c951c3bda7793f4511e3b470e7226d8108
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 21:13:09 +0100

    namespaces: define NSs for Metadata dataforms
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5472db8eb4a59c6261a36ddcea407489d488c3eb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 21:05:04 +0100

    ft-manager: get Metadata props from SI file transfer offer
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 64c9d82af61b25ab06bd74607acf0f336c6c463a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 21:04:33 +0100

    ft-manager: set Metadata props from channel request
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ab38d52b84ddd80f356a3d804eeae0aeb99b1520
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 21:03:03 +0100

    ft-channel: set Metadata props on construction
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 50e3c855268d9e43f0a2853cc71757f5e88b1ab3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 21:00:28 +0100

    ft-manager: add Metadata props to Allowed_Properties
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit a5fd662a8f3a70eccef1a3d943f060513d2658f3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 20:58:42 +0100

    ft-channel: implement Metadata properties
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d903da03658e26e574ed6d8ffdd58cc20023857b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-25 20:57:16 +0100

    extensions: add FileTransfer.Metadata draft
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e1973c15669a6043cd474cb48b89baafc4bb0d45
Merge: bf1c8dd 3cdbae8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-24 11:15:41 +0100

    Merge branch '41743-show-contacts-as-offline-even-after-a-really-early-message'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3cdbae82cb09dd8218e1c783b7bad1f84b84498e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-13 11:33:08 +0100

    Fix offline contacts showing up as unknown, not offline
    
    Due to a weird interaction between the presence cache, IM channels, and
    scraping nicknames out of <message/>s, receiving a message from an
    offline contact before the roster is received would cause their status
    to erroneously show up as unknown, not offline.
    
    This fix is a bit of a hack, but it is much smaller than refactoring to
    make the IM channel store the alias (which would allow us to expunge
    keep_unavailable).
    
    This regressed as a side-effect of e0cda61.
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=41743>

commit 3b79e21684aa31b568aeb3969d034e772ac9e610
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-14 12:00:50 +0100

    Test grabbing <nick/> from <message/>
    
    If a contact is not on your roster, you typically have no idea what
    their nickname is: no roster, no PEP, no vCard (assuming the server
    doesn't let random people fetch your vCard). In this situation, contacts
    who message you out of the blue can include <nick/> in the message
    itself.
    
    This is implemented in a kind of dodgy way in Gabble at the moment: the
    IM channel forcibly retains an entry for the contact in the presence
    cache, and then the presence cache stashes the nickname as if it came
    from presence… It was also previously untested, so I thought it worth
    adding a test before I even thought about fixing how it's implemented.

commit a04b9e505e6a5baec65fbb52522f1b52656ca72e
Author: Danielle Madeley <danielle@madeley.id.au>
Date:   2011-10-18 13:47:55 +1100

    [muc-channel] WockyMuc now signals timestamps as GDateTime instead of time_t
    
    Fixes assumptions in the code where timestamp was assumed to be gint64.

commit bf1c8dd299d02ad433af2c31c879601d712e8d3b
Author: Danielle Madeley <danielle@madeley.id.au>
Date:   2011-10-17 23:04:00 +1100

    [muc-channel] timestamp is a time_t not a gint64
    
    Cast to the correct type so that Gabble compiles correctly on 32-bit.
    
    I propose fixing this properly by using either gint64 or GDateTime in Wocky,
    but not tonight.

commit 009bec00c4d83f401179fd7fb442158875238a34
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 17:46:33 +0100

    Update Wocky snapshot for glib/gtypes.h fix.

commit fca53f10536c4e758c24227c956296534ce2a4a3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2011-10-12 12:33:33 -0400

    test-resolver: don't include glib/types.h directly
    
    Use the glib.h header instead.

commit f065fb6165f18441b00cbfc263acd50c3eb05b38
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 16:20:54 +0100

    nano version bump to 0.13.8.1
    
     •_________________________•

commit 9f1ddd0ae7edf1686dedb7c12d373c99b7444221
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 15:55:33 +0100

    Version 0.13.7

commit 51f01ab2f802ba5f40a10f5cab207d73d9914dcd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 15:51:16 +0100

    Truncate generated ChangeLog at version 0.12.0
    
    It used to be 2.4M, which is almost as big as the entire contents of the
    'src' directory! Truncating it trims it down to 68K.

commit b109b58411387c2139704f13923453bbeaf15a21
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 15:28:08 +0100

    NEWS for 0.13.7

commit 3f1091e0f6b576f266472fbf96d271332e7686ad
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-10-01 20:33:17 +0200

    Do not assume we can authenticate with a password
    
    If Wocky does not understand any of the authentication mechanisms
    supported by the server, then we cannot authenticate with just a
    password; hence, we should not claim to support the X-TELEPATHY-PASSWORD
    pseudo-mechanism. (This is the case for the Windows Live Messenger XMPP
    server, for example.)

commit 9f64fd21ede78e42396c93c81892738011045404
Merge: e435637 aff2d84
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-12 12:21:28 +0100

    Merge branch 'moar-room'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=32611>

commit aff2d8453d577020658ce47d06f07864f6194b1d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-15 18:40:40 +0100

    MUC: ref properties_being_updated

commit 12e4a9ac245617b43f3fbd3e69ad55ddb1a88fcd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-12 18:03:08 +0100

    MUC: add more error-checking to SetSubject

commit d9160a13c236bcf8a1b789c70dee5497ca17ee4b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-06 17:48:29 +0100

    muc/subject: fix obsolete FIXME about discoing MUCs
    
    fd.o#21152 was fixed in 2009. We do have to make the test echo back our
    unavailable presence if we want to re-use the JID, but that's fine, we
    can do that.

commit 92810af8b77c45981ff736050667161085abb099
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-06 14:35:45 +0100

    MUC: update for RoomConfig.update_async API change
    
    I decided it was clearer for TpBaseRoomConfigClass.update_async to take
    a TpBaseRoomConfig as its first argument, rather than a TpBaseChannel.
    
    This makes it reasonable to implement the update_async vfunc in
    GabbleRoomConfig! Yay, no more monkey-patching.
    
    I think it would be even better to move all the configuration-frobbing
    code to GabbleRoomConfig. But this branch is already plenty long enough.

commit 4cd04e5366889a5cf8be84d9b096023cba999598
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-05 19:51:07 +0100

    RoomConfig: move the base class to tp-glib

commit 8d298302188f33ab9336c186b3e03b458d56d629
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-05 18:29:35 +0100

    muc/room-config: test disconnecting with requests in flight

commit 9efe5f730a4ba61f8b28b0350d4b567069e7a7c7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-05 16:19:05 +0100

    muc/room-config: expand test coverage
    
    This tests one more field of room configuration, and also checks the
    transitions to and from being a room owner.

commit 1b3e6d52e2f2969ab944460fb5c7e2b8350ec416
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-05 15:21:22 +0100

    muc/room-config.py: refactor form building/parsing

commit 983d327aa1731781d74334716adcf5baaac15f80
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-05 14:47:56 +0100

    muc/subject.py: fix disco reply
    
    <feature var='muc_public'/> should be a child of the <query/> element,
    not of the <x/> element.

commit b620985fb445fc7d54a90080232531248f7899dc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 14:27:32 +0100

    MUC: emit ConfigurationRetrieved

commit dff8ddbc721ef5791bb089ed9aed19b918553a4d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 14:27:26 +0100

    RoomConfig: implement ConfigurationRetrieved

commit 5ef367af72b53e4c7d115be037139410f2c03a3e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 11:30:49 +0100

    subject: test for PropertiesChanged
    
    Removing the Telepathy.Properties interface from GabbleMucChannel
    miraculously makes this work. \o/

commit 675367323b8617b88f9f156545e0ea63b21d88e6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 11:26:02 +0100

    Rename muc/test-muc-properties to muc/room-config
    
    This more accurately reflects its current nature!

commit e3b9601367429f2272949995c71b8fd425c28e93
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 11:16:21 +0100

    MUC: emit PropertiesChanged for RoomConfig

commit ede43dda5a6fbed9c7a90b735b24f59fc50a1589
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-02 11:15:19 +0100

    RoomConfig: track changed properties
    
    With this patch, GabbleRoomConfig tracks which properties have changed,
    and grows a method to emit PropertiesChanged for those properties.
    
    I am not very happy with the macroification of the set_property
    implementation, but it's the best I could come up with.

commit 4c05dc0910cc1d58f71047fa53162d750fc8c6fb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 18:48:04 +0100

    RoomConfig: refactor validating property types

commit 413157a5b3a66343a7b811a3fd72b516ef86bf2e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 18:17:02 +0100

    MUC: remove Telepathy.Properties
    
    \o\ /o/ \o\ /o/
    
    Now I can get stuck into implementing change notification.

commit 16a480c39631481c17fd788a197f7445a7b1effe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-06 17:01:22 +0100

    muc/test-muc: neaten up interface assertions

commit 59ee55354fee1a9425790886ea98f342340e390b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 14:35:59 +0100

    MUC: hook up UpdateConfiguration
    
    This simultaneously un-hooks-up SetProperties. I could have refactored
    to make it possible to keep both, but I don't think it would buy us
    anything since we're just about to delete old properties anyway.

commit 3a7eadb2ce77968034832ce7d0f039d15fdb3256
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 13:39:20 +0100

    RoomConfig: add a vfunc for updating configuration

commit e70dccee1faf596ff8d00613d7651d3ae751c342
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 12:57:09 +0100

    MUC: mark appropriate properties as mutable
    
    This is a *lot* simpler than in the old days. We no longer have to
    do something per-property on every permission change, because whether or
    not we are currently an owner of the MUC has no bearing on which
    properties would be mutable if we were.

commit 26dc9c3df3340bb2662a870301f233274d5fdc47
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 12:32:18 +0100

    RoomConfig: track ostensibly-mutable properties
    
    This isn't hooked up in MucChannel yet, so we currently report all
    properties as immutable.
    
    It occurs to me that “immutable” means something else elsewhere in
    Telepathy so we should probably call this something else.

commit 4d5b16af21c1dfde2426456409182603b6063ee0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 11:42:31 +0100

    RoomConfig: implement CanUpdateConfiguration

commit 757718b7993f17d95184795634519968553ed8eb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 16:39:46 +0100

    RoomConfig: hook up reading most fields
    
    This doesn't cover emitting PropertiesChanged (impossible until we
    expunge old-style properties), nor the current room password, nor
    changing any fields.

commit 8d686b421db6a1b7b38ab30b0d3739f768ee3232
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 14:09:47 +0100

    Add the start of a RoomConfig object.
    
    I'm implementing this as a separate object rather than as part of
    GabbleMucChannel in the hope of sticking it into tp-glib.

commit 54dd251e25734eb097e2a4ba278f1d8ff1dde2e6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 12:55:08 +0100

    test-muc-properties: make clearer assertions
    
    The formatting of these assertions was unhelpful, and using assertEquals
    gives us nicer messages when the assertions do fail.

commit 82c09a7a031ff2726d56a6d28c01d7c911ef3c23
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 12:34:08 +0100

    MUC: remove half-baked allowinvites support
    
    Previously, we allowed the user to configure whether or not occupants
    should be allowed to invite others to the room, but didn't actually
    provide any way to retrieve the current setting.
    
    This is a pretty useless MUC configuration flag anyway, given that
    occupants can always send direct (as opposed to mediated)
    invitations … so I have no qualms about expunging it.

commit 59e35681f2762383e05e696d176a21c6c3b81344
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 10:32:44 +0100

    MUC: wockify submitting configuration form

commit 1edd10efc2c7f16025a2de56b34740b37f849bf4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-30 09:56:29 +0100

    MUC: fill in config form using a lookup table
    
    Again, this is shorter than the huge chain of ifs, and I think it's more
    readable.

commit a9f7e51872bdf63a421cb4c26b6e61a59c4c992f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 17:46:47 +0100

    MUC: correctly send default configuration to the MUC
    
    Ahem. Previously we were sending it to our own server. Not so useful.

commit bd60fe08cb47fd30d5471c08eed8464bf19646a2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 17:42:14 +0100

    MUC: remove faux error handling when accepting default config
    
    _gabble_connection_send_with_reply always returns TRUE. I guess the only
    case this doesn't handle is when the channel (and hence the WockyMuc)
    has somehow miraculously outlived the connection—I don't think this
    happens.

commit 9e2d76bc981fae2b1c309d11c52a6c369c9d0c57
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 17:20:16 +0100

    MUC: wockify one use of muc#owner.
    
    We request this and parse the reply in two-and-a-half places … this is
    the simpler one of the two places where we actually parse the reply.

commit 0d63603fe7835b18cc12b9e3d101dd30e700d8fa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 15:39:06 +0100

    MUC: refactor handling forms in disco reply
    
    This only works because we only handle one field. As and when we handle
    more, we should switch to WockyDataForm anyway.

commit 772c8df4a54228b08f1d58ccd8de7d688a374a47
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-29 15:18:15 +0100

    MUC: simplify feature mapping with a lookup table
    
    This is shorter than the previous chain of if-else, and (I believe) much
    clearer.

commit d7e694b31c191bbe9d2dc56922cb171e8ed2dbd8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 17:27:06 +0100

    MUC: remove redundant role and affiliation enums
    
    Wocky has these. No need to duplicate them.

commit f4b4a4b00011c8f40fc7e245d842e09526095d3c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 17:08:56 +0100

    MUC: Remove subject from old Properties

commit b06ab5b631006a512d1d811cb306aaa2f3702edf
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 16:49:09 +0100

    MUC: Wockify parsing Subject-setting errors

commit f53172e06c29586a32989b11cf66aa2d28368ad0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-06 16:42:08 +0100

    MUC: use id='' to catch SetSubject errors
    
    Servers don't strictly have to echo the <subject/> element in their
    reply if they reject our subject change message. But they do have to
    preserve the id='' attribute.
    
    This patch makes Gabble set an id='' attribute on <message/>s sent to
    change the subject, and look for that ID when it receives a <message
    type='error'/> from a MUC. (It continues to look for <subject/> errors,
    too.)
    
    Prosody is an example of a server that behaves like this.

commit 2f4d98398c24b95b1178871f62cf89a7bf467dd8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 16:38:19 +0100

    MUC: return asynchronously from SetSubject

commit 23451bbeb0d06f14d5d2726d92b79a1f618baffe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 16:35:05 +0100

    MUC: handle errors when setting subject
    
    So this hasn't worked since the WockyMUC port. If you tried to set the
    subject, and got an error back, the SetProperties() call would never
    terminate (and you wouldn't be able to call it again for the lifetime of
    the channel).

commit 1e94a3c37c1e134dfb0f88bff1cfe4ad5b0628c7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 16:34:46 +0100

    MUC: remove unused argument from _handle_subject

commit 2f3df38c90f06698a16fa95d6d4c676c07b28efe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-26 16:04:25 +0100

    muc-channel.h: clean up stale prototypes
    
    Most of these no longer exist. Those which do are only used in
    muc-channel.c, and one of those three is a one-liner which I just
    inlined at the single point it's called.

commit a1463a4f488b62a8891dd3d1e98ffb91f1014f1c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-03 14:17:03 +0100

    Wockify SetSubject implementation

commit f40f170f058fd00a46f74fafca761cbbe6affa14
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-02 18:35:52 +0100

    Subject: use tp_svc_dbus_properties_emit_properties_changed

commit 5f3afbcb08a3e686ff536dc024aff91a50782549
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-02 18:22:06 +0100

    MUCChannel: simplify password flags implementation
    
    We only have one flag, so we may as well just store a boolean.

